<?php
/**
 * This file will display a blog, WITHOUT using a template.
 *
 * This file will set some display parameters and then display the blog in a template.
 *
 * Note: You only need to use this file for advanced use/customization of Quam Plures.
 * Most of the time, calling your blog through index.php with a template will be enough.
 * You should try to customize a template before thrying to use this fle.
 *
 * Quam Plures - {@link http://quamplures.net/}
 * Released under GNU GPL License - {@link http://quamplures.net/license.html}
 * @copyright (c) 2009 by the Quam Plures developers - {@link http://quamplures.net/}
 * @copyright (c)2003-2009 by Francois PLANQUE - {@link http://fplanque.net/}
 *
 * @todo EdB: figure out if this useful, shed if not else embrace and move to /templates/
 *
 * @package templates
 */

# First, select which blog you want to display here!
# You can find these numbers in the back-office under the Blogs section.
# You can also create new blogs over there. If you do, you may duplicate this file for the new blog.
$blog = 1;

# Tell quam plures you don't want to use templates for this page:
$template = '';

# This setting retricts posts to those published, thus hiding drafts.
# You should not have to change this.
$show_statuses = array();

# Here you can set a limit before which posts will be ignored
# You can use a unix timestamp value or 'now' which will hide all posts in the past
$timestamp_min = '';

# Here you can set a limit after which posts will be ignored
# You can use a unix timestamp value or 'now' which will hide all posts in the future
$timestamp_max = 'now';

# Additionnaly, you can set other values (see URL params in the manual)...
# $order = 'ASC'; // This for example would display the blog in chronological order...

# Tell Quam Plures not to redirect. This is necessary only if "301" for homepage is checked and the blog URL is set
# to something else than this page -- which is the case on demo installs.
# For production systems, properly set the blog URL , then remove the line below:
$redir = 'no';

/**
 * Let Quam Plures handle the query string and load the blog data:
 */
require_once dirname(__FILE__).'/qp_config/_config.php';

require $inc_path.'_blog_main.inc.php';

// Make sure includes will check in the current folder!
$ads_current_template_path = dirname(__FILE__).'/';


# Now, below you'll find the main template...

// --------------------- PAGE LEVEL CACHING SUPPORT ---------------------
// Note: This is totally optional. General caching must be enabled in Global settings, otherwise this will do nothing.
// Delete this block if you don't care about page level caching. Don't forget to delete the matching section at the end of the page.
load_class( '_core/model/_pagecache.class.php' );
$PageCache = new PageCache( NULL );
// Check for cached content & Start caching if needed:
if( ! $PageCache->check() )
{ // Cache miss, we have to generate:

// do $disp-based initializations...
template_init( $disp );
add_js_for_toolbar(); /* registers javascripts for the navbar */
header_content_type( 'text/html' ); /* sets charset */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php locale_lang() ?>" lang="<?php locale_lang() ?>">
<head>
<?php
template_content_meta(); /* meta http-equiv Content-Type */
template_base_tag(); /* needed for css and img includes */
?>
<title><?php request_title( array( 'auto_pilot' => 'seo_title' ) ); ?></title>
<?php
template_description_tag(); /* meta name description tag */
template_keywords_tag(); /* meta name keywords tag */
robots_tag(); /* meta name robots tag, if needed */
meta_generator_tag(); /* please leave this in for stats */
if( $Blog->get_setting( 'feed_content' ) != 'none' )
{ // auto-discovery urls
	?>
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php $Blog->disp( 'rss2_url', 'raw' ) ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom" href="<?php $Blog->disp( 'atom_url', 'raw' ) ?>" />
	<?php
}
?>
<link rel="EditURI" type="application/rsd+xml" title="RSD" href="<?php echo $xmlsrv_url; ?>rsd.php?blog=<?php echo $Blog->ID; ?>" />
<meta name="viewport" content="width = 750" />
<link rel="stylesheet" href="rsc/css/standalone.css" type="text/css" />
<?php
include_headlines(); /* output collected HEAD lines */
$Plugins->trigger_event( 'TemplateBeginHtmlHead' ); ?>
</head>

<body>
<?php
// activate the sonic transducer
$Plugins->trigger_event( 'TemplateBeginHtmlBody' );

// --- --- --- --- --- --- --- --- --- --- ---
// --- TOOLBAR INCLUDED HERE ---
template_include( '_toolbar.inc.php' );

echo "\n";
if( is_logged_in() )
{
	echo '<div id="template_wrapper" class="template_wrapper_loggedin">';
}
else
{
	echo '<div id="template_wrapper" class="template_wrapper_anonymous">';
}
echo "\n";
?>

<div class="pageHeader">
<?php
// display the Public Blog List widget
template_widget( array(
	'widget' => 'bloglist',
	'block_start' => '<div class="bloglist">',
	'block_end' => '</div>',
	'block_display_title' => false,
	'list_start' => '',
	'list_end' => '',
	'item_start' => '',
	'item_end' => '',
	'item_selected_start' => '',
	'item_selected_end' => '',
	'link_selected_class' => 'buttons',
	'link_default_class' => 'buttons',
) );
?>

<div class="pageTitle">
<h1 id="pageTitle"><?php $Blog->disp( 'name', 'htmlbody' ) ?></h1>
</div>

</div>

<div class="pageSubTitle"><?php $Blog->disp( 'tagline', 'htmlbody' ) ?></div>

<div class="main">

<div class="bPosts">
<?php
// messages generated from actions
messages();

// prev/next links in single post mode
item_prevnext_links( array(
	'block_start' => '<table class="prevnext_post"><tr>',
	'prev_start' => '<td>',
	'prev_end' => '</td>',
	'next_start' => '<td class="right">',
	'next_end' => '</td>',
	'block_end' => '</tr></table>',
) );

// title for the current request
request_title( array(
	'title_before' => '<h2>',
	'title_after' => '</h2>',
	'title_none' => '',
	'glue' => ' - ',
	'title_single_disp' => true,
	'format' => 'htmlbody',
) );

// prev/next links on multi-post pages
mainlist_page_links( array(
	'block_start' => '<p class="center"><strong>',
	'block_end' => '</strong></p>',
) );

// display a message if list is empty
display_if_empty();

// loop through as long as we have an Item...
while( $Item = & mainlist_get_item() )
{
	// display the date if it changed
	$MainList->date_if_changed( array(
		'before' => '<h2>',
		'after' => '</h2>',
		'date_format' => '#',
	) );
	?>
	<div id="<?php $Item->anchor_id(); ?>" class="bPost bPost<?php $Item->status_raw(); ?>" lang="<?php $Item->lang(); ?>">

	<div class="bSmallHead">
	<?php
	// display the item's permalink
	$Item->permanent_link( array(
		'text' => '#icon#',
	) );

	// display issue date/time of item
	$Item->issue_time(array() );

	// display and link categories by name
	$Item->categories( array(
		'before' => ', '.T_('Categories').': ',
	) );
	?>
	</div>

	<h3 class="bTitle"><?php $Item->title(); ?></h3>
	<?php
	// --- --- --- --- --- --- --- --- --- --- ---
	// ---  POST CONTENT INCLUDED HERE ---
	template_include( '_item_content.inc.php', array(
		'image_size' => 'fit-400',
	) );

	// display the item's tags
	$Item->tags( array(
		'before' => '<div class="bSmallPrint">'.T_('Tags').': ',
	) );
	?>

	<div class="bSmallPrint">
	<?php
	// display link to (and count of) comments only
	$Item->feedback_link( array(
		'type' => 'comments',
		'link_after' => ' &bull; ',
	) );

	// display link to (and count of) trackbacks only
	$Item->feedback_link( array(
		'type' => 'trackbacks',
		'link_after' => ' &bull; ',
	) );

	// display the item's permalink
	$Item->permanent_link( array() );
	?>
	</div>

	<?php
	// --- --- --- --- --- --- --- --- --- --- ---
	// --- ITEM FEEDBACK INCLUDED HERE ---
	template_include( '_item_feedback.inc.php', array(
		'before_section_title' => '<h4>',
		'after_section_title' => '</h4>',
	) );
	?>
	</div>

	<?php
}

// prev/next links on multi-post pages
mainlist_page_links( array(
	'block_start' => '<p class="center"><strong>',
	'block_end' => '</strong></p>',
	'prev_text' => '&lt;&lt;',
	'next_text' => '&gt;&gt;',
) );

// --- --- --- --- --- --- --- --- --- --- ---
// MAIN CONTENT INCLUDED HERE
template_include( '$disp$', array(
	// we already handled these cases above
	'disp_posts' => '',
	'disp_single' => '',
	'disp_page' => '',
) );
?>
</div>

<div class="bSideBar">

<div class="bSideItem">
<h3><?php $Blog->disp( 'name', 'htmlbody' ); ?></h3>
<p><?php
// BLOG LONG DESCRIPTION:
$Blog->disp( 'longdesc', 'htmlbody' );
// we could have called the longdesc widget, but that would be overkill. ?></p>
<?php
// prev/next links on multi-post pages
mainlist_page_links( array(
	'block_start' => '<p class="center"><strong>',
	'block_end' => '</strong></p>',
	'links_format' => '$prev$ :: $next$',
	'prev_text' => '&lt;&lt; '.T_('Previous'),
	'next_text' => T_('Next').' &gt;&gt;',
) );

// display the Common Links widget
template_widget( array(
	'widget' => 'common_links',
	'list_start' => '<ul>',
	'list_end' => '</ul>',
	'item_start' => '<li>',
	'item_end' => '</li>',
	'show_recently' => true,
	'show_archives' => true,
	'show_categories' => false,
	'show_latestcomments' => false,
	) );

// display the Calendar plugin (if installed)
$Plugins->call_by_code( 'qp_calendar', array(
	'block_start' => '',
	'block_end' => '',
	'displaycaption' => true,
	'linktomontharchive' => false,
) );
?>
</div>

<?php
// display the Search Form widget
template_widget( array(
	'widget' => 'search_form',
	'block_start' => '<div class="bSideItem">',
	'block_end' => '</div>',
	'block_title_start' => '<h3 class="sideItemTitle">',
	'block_title_end' => '</h3>',
) );

// display the Category List widget
template_widget( array(
	'widget' => 'category_list',
	'block_start' => '<div class="bSideItem">',
	'block_end' => '</div>',
	'block_title_start' => '<h3 class="sideItemTitle">',
	'block_title_end' => '</h3>',
) );

// display the Archives plugin (if installed)
$Plugins->call_by_code( 'qp_archives', array(
	'block_start' => '<div class="bSideItem">',
	'block_end' => '</div>',
	'block_title_start' => '<h3>',
	'block_title_end' => '</h3>',
) );

// display the Linkblog widget
template_widget( array(
	'widget' => 'linkblog',
	'block_start' => '<div class="bSideItem">',
	'block_end' => '</div>',
	'block_title_start' => '<h3 class="sideItemTitle">',
	'block_title_end' => '</h3>',
) );

// display the User Tools widget
template_widget( array(
	'widget' => 'user_tools',
	'block_start' => '<div class="bSideItem">',
	'block_end' => '</div>',
	'block_title_start' => '<h3 class="sideItemTitle">',
	'block_title_end' => '</h3>',
) );

// display the XML Feeds widget
template_widget( array(
	'widget' => 'xml_feeds',
	'block_start' => '<div class="bSideItem">',
	'block_end' => '</div>',
	'block_title_start' => '<h3 class="sideItemTitle">',
	'block_title_end' => '</h3>',
) );
?>
</div>

</div>

<div class="footer">
This is a demo page for <a href="<?php echo $app_homepage; ?>"><?php echo $app_name; ?></a>.
<?php echo '</div>' ?>

</div>

</body>
</html>
<?php
	// --------------------- PAGE LEVEL CACHING SUPPORT ---------------------
	// Save collected cached data if needed:
	$PageCache->end_collect();
}
// --------------------- PAGE LEVEL CACHING SUPPORT ---------------------
?>
