<?php
/**
 * This is the init file for the core module.
 *
 * This file is part of Quam Plures - {@link http://quamplures.net/}
 * See also {@link https://launchpad.net/quam-plures}.
 *
 * @copyright (c) 2009 by the Quam Plures developers - {@link http://quamplures.net/}
 * @copyright (c)2003-2009 by Francois PLANQUE - {@link http://fplanque.net/}
 *
 * {@internal License choice
 * - If you have received this file as part of a package, please find the license.txt file in
 *   the same folder or the closest folder above for complete license terms.
 * - If you have received this file individually (e-g: from http://evocms.cvs.sourceforge.net/)
 *   then you must choose one of the following licenses before using the file:
 *   - GNU General Public License 2 (GPL) - http://www.opensource.org/licenses/gpl-license.php
 *   - Mozilla Public License 1.1 (MPL) - http://www.opensource.org/licenses/mozilla1.1.php
 * }}
 *
 * {@internal Open Source relicensing agreement:
 * }}
 *
 * {@internal Below is a list of authors who have contributed to design/coding of this file: }}
 * @author fplanque: Francois PLANQUE.
 *
 * @package pond
 */
if( !defined('QP_CONFIG_LOADED') ) die( 'Please, do not access this page directly.' );


/**
 * Aliases for table names:
 *
 * (You should not need to change them.
 *  If you want to have multiple QP installations in a single database you should
 *  change {@link $app_db_tableprefix} in _main_config.php)
 */
$app_db_config['aliases'] = array(
	'T_antispam'             => $app_db_tableprefix.'antispam',
	'T_blogs'                => $app_db_tableprefix.'blogs',
	'T_categories'           => $app_db_tableprefix.'categories',
	'T_coll_group_perms'     => $app_db_tableprefix.'bloggroups',
	'T_coll_user_perms'      => $app_db_tableprefix.'blogusers',
	'T_coll_settings'        => $app_db_tableprefix.'coll_settings',
	'T_comments'             => $app_db_tableprefix.'comments',
	'T_cron__log'            => $app_db_tableprefix.'cron__log',
	'T_cron__task'           => $app_db_tableprefix.'cron__task',
	'T_files'                => $app_db_tableprefix.'files',
	'T_filetypes'            => $app_db_tableprefix.'filetypes',
	'T_groups'               => $app_db_tableprefix.'groups',
	'T_global__cache'        => $app_db_tableprefix.'global__cache',
	'T_items__item'          => $app_db_tableprefix.'items__item',
	'T_items__itemtag'       => $app_db_tableprefix.'items__itemtag',
	'T_items__prerendering'  => $app_db_tableprefix.'items__prerendering',
	'T_items__status'        => $app_db_tableprefix.'items__status',
	'T_items__tag'           => $app_db_tableprefix.'items__tag',
	'T_items__type'          => $app_db_tableprefix.'items__type',
	'T_items__version'       => $app_db_tableprefix.'items__version',
	'T_links'                => $app_db_tableprefix.'links',
	'T_locales'              => $app_db_tableprefix.'locales',
	'T_plugins'              => $app_db_tableprefix.'plugins',
	'T_pluginevents'         => $app_db_tableprefix.'pluginevents',
	'T_pluginsettings'       => $app_db_tableprefix.'pluginsettings',
	'T_pluginusersettings'   => $app_db_tableprefix.'pluginusersettings',
	'T_postcats'             => $app_db_tableprefix.'postcats',
	'T_settings'             => $app_db_tableprefix.'settings',
	'T_templates__container' => $app_db_tableprefix.'templates__container',
	'T_templates__template'  => $app_db_tableprefix.'templates__template',
	'T_subscriptions'        => $app_db_tableprefix.'subscriptions',
	'T_users'                => $app_db_tableprefix.'users',
	'T_plugin_sharedfields'  => $app_db_tableprefix.'plugin_sharedfields',
	'T_plugin_sharedvalues'  => $app_db_tableprefix.'plugin_sharedvalues',
	'T_usersettings'         => $app_db_tableprefix.'usersettings',
	'T_widget'               => $app_db_tableprefix.'widget',
	);


/**
 * Controller mappings.
 *
 * For each controller name, we associate a controller file to be found in /inc/ .
 * The advantage of this indirection is that it is easy to reorganize the controllers into
 * subdirectories by modules. It is also easy to deactivate some controllers if you don't
 * want to provide this functionality on a given installation.
 *
 * Note: while the controller mappings might more or less follow the menu structure, we do not merge
 * the two tables since we could, at any time, decide to make a template with a different menu structure.
 * The controllers however would most likely remain the same.
 *
 * @global array
 */
$ctrl_mappings = array(
	'antispam'      => 'antispam/antispam_list.ctrl.php',
	'chapters'      => 'chapters/chapters.ctrl.php',
	'collections'   => 'collections/collections.ctrl.php',
	'coll_settings' => 'collections/coll_settings.ctrl.php',
	'comments'      => 'comments/_comments.ctrl.php',
	'crontab'       => 'cron/cronjobs.ctrl.php',
	'dashboard'     => 'dashboard/dashboard.ctrl.php',
	'features'      => 'settings/features.ctrl.php',
	'files'         => 'files/files.ctrl.php',
	'fileset'       => 'files/file_settings.ctrl.php',
	'filetypes'     => 'files/file_types.ctrl.php',
	'items'         => 'items/items.ctrl.php',
	'itemstatuses'  => 'items/item_statuses.ctrl.php',
	'itemtypes'     => 'items/item_types.ctrl.php',
	'locales'       => 'locales/locales.ctrl.php',
	'plugins'       => 'plugins/plugins.ctrl.php',
	'settings'      => 'settings/settings.ctrl.php',
	'set_antispam'  => 'antispam/antispam_settings.ctrl.php',
	'templates'     => 'templates/templates.ctrl.php',
	'stats'         => 'sessions/stats.ctrl.php',
	'system'        => 'tools/system.ctrl.php',
	'tools'         => 'tools/tools.ctrl.php',
	'users'         => 'users/users.ctrl.php',
	'upload'        => 'files/upload.ctrl.php',
	'widgets'       => 'widgets/widgets.ctrl.php',
	);


/**
 * _core_Module definition
 *
 * @package pond
 */
class _core_Module
{
	/**
	 * Build the navbar menu
	 */
	function build_navbar_menu()
	{
		global $current_User;
		global $topleft_Menu, $topright_Menu;
		global $home_url, $admin_url, $dispatcher, $debug, $seo_page_type, $robots_index;
		global $Blog, $blog, $app_name, $app_homepage;
		global $Settings;
		global $is_admin_page;

		$entries = array(
			// DASHBOARD LINK
			'dashboard' => array(
				'text' => T_('Dashboard'),
				'title' => T_('Go to back office'),
				'href' => $admin_url,
			),
			// ITEMS LINK
			'posts_comments' => array(
				'text' => T_('Items'),
				'title' => T_('Manage posts and comments'),
				'href' => $admin_url.'?ctrl=items&amp;blog=0&amp;filter=restore',
			),
			// BLOG SETTINGS LINK
			'blog_settings' => array(
				'text' => T_('Blog settings'),
				'title' => T_('Blog settings, lists blogs'),
				'href' => $admin_url.'?ctrl=collections',
			),
			// GLOBAL SETTINGS LINK
			'global_sets' => array(
				'text' => T_('Global settings'),
				'title' => T_('permission denied'),
				'disabled' => true,
			),
			// FILES LINK
			'file_manager' => array(
				'text' => T_('Files'),
				'title' => T_('no blog currently selected'),
				'disabled' => true,
			),
			// STATS LINK
			'stats_view' => array(
				'text' => T_('Stats'),
				'title' => T_('you have no permission to view stats'),
				'disabled' => true,
			),
			// TOOLS LINK
			'tools' => array(
				'text' => T_('Tools'),
				'title' => T_('you have no permission to view tools'),
				'disabled' => true,
			),
			// USERS LINK
			'userprefs' => array(
				'text' => '<strong>'.$current_User->login.'</strong>',
				'title' => T_('Edit your user profile'),
				'href' => get_user_profile_url(),
			),
		);

		$blog_id = 0;
		if( !empty($Blog) )
		{ // a blog is currently selected, so add some detail to various menu items
			$blog_id = $Blog->ID;
			$shortname = $Blog->get('shortname');
			$items_url = $admin_url.'?ctrl=items&amp;blog='.$blog_id.'&amp;filter=restore&amp;';
			$blog_props_perm = $current_User->check_perm( 'blog_properties', 'any', false, $blog );
			// DASHBOARD LINK :: main item update...
			$entries['dashboard']['title'] = sprintf( /* %s is blog shortname */ T_('Go to %s dashboard'), $shortname );
			$entries['dashboard']['href'] = $admin_url.'?ctrl=dashboard&amp;blog='.$blog_id;
			// ITEMS LINK :: main item update and dropdown menu items...
			$entries['posts_comments']['text'] = T_('Items').' &loz;';
			$entries['posts_comments']['entries'] = array(
				'itemslabel' => array(
					'text' => '<strong>'.sprintf( /* %s is blog shortname */ T_('%s Items'), $shortname ).'</strong>',
				),
				'itemslabel_sep' => array(
					'separator' => true,
				),
			);

			// ITEMS LINK :: add more dropdown menu items...
			if( $current_User->check_perm( 'blog_post_statuses', 'edit', false, $Blog->ID ) )
			{ // current user can make posts in this blog
				$entries['posts_comments']['entries'] += array(
					'item_new' => array(
						'text' => T_('Write New Post').'&hellip;',
						'title' => T_('Write a new post into this blog'),
						'href' => $items_url.'action=new',
					),
				);
			}
			$entries['posts_comments']['entries'] += array(
				'item_full' => array(
					'text' => T_('All').'&hellip;',
					'href' => $items_url.'tab=full',
				),
				'item_list' => array(
					'text' => T_('Posts').'&hellip;',
					'href' => $items_url.'tab=list',
				),
				'item_pages' => array(
					'text' => T_('Pages').'&hellip;',
					'href' => $items_url.'tab=pages',
				),
				'item_intros' => array(
					'text' => T_('Intros').'&hellip;',
					'href' => $items_url.'tab=intros',
				),
				'item_podcasts' => array(
					'text' => T_('Podcasts').'&hellip;',
					'href' => $items_url.'tab=podcasts',
				),
				'item_links' => array(
					'text' => T_('Sidebar links').'&hellip;',
					'href' => $items_url.'tab=links',
				),
			);
			if( $Blog->get_setting( 'use_workflow' ) )
			{ // workflow is enabled for this blog
				$entries['posts_comments']['entries']['tracker'] = array(
					'text' => T_('Tracker').'&hellip;',
					'href' => $items_url.'tab=tracker',
				);
			}
			if( $current_User->check_perm( 'blog_comments', 'edit', false, $Blog->ID ) )
			{ // current user has comment permissions in this blog
				$entries['posts_comments']['entries']['item_comments'] = array(
					'text' => T_('Comments').'&hellip;',
					'href' => $admin_url.'?ctrl=comments&amp;blog='.$blog_id,
				);
			}

			// BLOG SETTINGS LINK :: main item update and dropdown menu items...
			if( $current_User->check_perm( 'blog_properties', 'edit', false, $Blog->ID ) )
			{ // current user has blog settings permissions
				$coll_chapters_perm = $current_User->check_perm( 'blog_cats', '', false, $blog );
				$blogsets_url = $admin_url.'?ctrl=coll_settings&amp;blog='.$blog_id.'&amp;';

				if( $blog_props_perm )
				{ // current user has some perms in a blog
					$entries['blog_settings']['text'] = T_('Blog settings').' &loz;';
					$entries['blog_settings']['title'] = T_('Blog settings, lists blogs');
					$entries['blog_settings']['entries'] = array(
						'bloglabel' => array(
							'text' => '<strong>'.sprintf( /* %s is blog shortname */ T_('Settings for %s'), $shortname ).'</strong>',
						),
						'bloglabel_sep' => array(
							'separator' => true,
						),
						'general' => array(
							'text' => T_('General').'&hellip;',
							'href' => $blogsets_url.'tab=general',
						),
						'features' => array(
							'text' => T_('Features').'&hellip;',
							'href' => $blogsets_url.'tab=features',
						),
						'template' => array(
							'text' => T_('Template').'&hellip;',
							'href' => $blogsets_url.'tab=template',
						),
						'temp_sets' => array(
							'text' => T_('Template settings').'&hellip;',
							'href' => $blogsets_url.'tab=template_settings',
						),
						'plugsets' => array(
							'text' => T_('Plugin settings').'&hellip;',
							'href' => $blogsets_url.'tab=plugin_settings',
						),
						'widgets' => array(
							'text' => T_('Widgets').'&hellip;',
							'href' => $admin_url.'?ctrl=widgets&amp;blog='.$blog_id,
						),
					);
				}
				if( $coll_chapters_perm )
				{ // current user has categories permissions in this blog
					$entries['blog_settings']['entries'] += array(
						'chapters' => array(
							'text' => T_('Categories').'&hellip;',
							'href' => $admin_url.'?ctrl=chapters&amp;blog='.$blog_id,
						),
					);
				}
				if( $blog_props_perm )
				{ // current user can access blog settings
					$entries['blog_settings']['entries'] += array(
						'urls' => array(
							'text' => T_('URLs').'&hellip;',
							'href' => $blogsets_url.'tab=urls',
						),
						'seo' => array(
							'text' => T_('SEO').'&hellip;',
							'href' => $blogsets_url.'tab=seo',
						),
						'advanced' => array(
							'text' => T_('Advanced').'&hellip;',
							'href' => $blogsets_url.'tab=advanced',
						),
					);
				}
				if( $Blog->advanced_perms )
				{ // advanced properties is enabled for this blog
					$entries['blog_settings']['entries'] += array(
						'userperms' => array(
							'text' => T_('User perms').'&hellip;',
							'href' => $blogsets_url.'tab=perm',
						),
						'groupperms' => array(
							'text' => T_('Group perms').'&hellip;',
							'href' => $blogsets_url.'tab=permgroup',
						),
					);
				}

			} // END OF "if( $current_User->check_perm( 'blog_properties' ) )"

		} // END OF "if( !empty($Blog) )"

		// DASHBOARD LINK :: main item update and dropdown menu items...
		if( $current_User->check_perm( 'options', 'edit' ) )
		{	// current user can view settings
			$entries['dashboard']['text'] = T_('Dashboard').' &loz;';
			$entries['dashboard']['entries'] = array();
			if( $current_User->check_perm( 'users', 'edit' ) )
			{ // current user can edit/create users
				$entries['dashboard']['entries']['newuser'] = array(
					'text' => T_('Create new user').'&hellip;',
					'href' => $admin_url.'?ctrl=users&amp;action=new_user',
				);
			}
			if( $current_User->check_perm( 'blogs', 'create' ) )
			{ // current user can edit/create blogs
				$entries['dashboard']['entries']['newblog'] = array(
					'text' => T_('Create new blog').'&hellip;',
					'href' => $admin_url.'?ctrl=collections&amp;action=new',
				);
			}
			$entries['dashboard']['entries']['templates'] = array(
				'text' => T_('Install a template').'&hellip;',
				'href' => $admin_url.'?ctrl=templates',
			);
			$entries['dashboard']['entries']['plugins'] = array(
				'text' => T_('Install a plugin').'&hellip;',
				'href' => $admin_url.'?ctrl=plugins',
			);
			$entries['dashboard']['entries']['system'] = array(
				'text' => T_('Check system &amp; security').'&hellip;',
				'href' => $admin_url.'?ctrl=system',
			);
		}

		// GLOBAL SETTINGS LINK :: main item update and dropdown menu items...
		if( $current_User->check_perm( 'options', 'view' ) )
		{ // current user can view settings
			global $loc_transinfo;
			$entries['global_sets']['text'] = T_('Global settings').' &loz;';
			$entries['global_sets']['title'] = T_('General').'&hellip;';
			$entries['global_sets']['href'] = $admin_url.'?ctrl=settings';
			$entries['global_sets']['disabled'] = false;
			$entries['global_sets']['entries'] = array(
				'features' => array(
					'text' => T_('Features').'&hellip;',
					'href' => $admin_url.'?ctrl=features',
				),
				'templates' => array(
					'text' => T_('Templates').'&hellip;',
					'href' => $admin_url.'?ctrl=templates',
				),
				'plugins' => array(
					'text' => T_('Plugins').'&hellip;',
					'href' => $admin_url.'?ctrl=plugins',
				),
				'antispam' => array(
					'text' => T_('Antispam').'&hellip;',
					'href' => $admin_url.'?ctrl=set_antispam',
				),
				'regional' => array(
					'text' => T_('Regional').'&hellip;',
					'href' => $admin_url.'?ctrl=locales'.( (isset($loc_transinfo) && $loc_transinfo) ? '&amp;loc_transinfo=1' : '' ),
				),
				'fileset' => array(
					'text' => T_('Files').'&hellip;',
					'href' => $admin_url.'?ctrl=fileset',
				),
				'filetypes' => array(
					'text' => T_('File types').'&hellip;',
					'href' => $admin_url.'?ctrl=filetypes',
				),
				'itemtypes' => array(
					'text' => T_('Post types').'&hellip;',
					'href' => $admin_url.'?ctrl=itemtypes',
				),
				'itemstatuses' => array(
					'text' => T_('Post statuses').'&hellip;',
					'href' => $admin_url.'?ctrl=itemstatuses',
				),
			);
		}

		// FILES LINK :: main item update and dropdown menu items...
		if( $Settings->get( 'fm_enabled' ) && $current_User->check_perm( 'files', 'view' ) )
		{ // file manager is enabled, current user has permissions
			$entries['file_manager']['text'] = T_('Files').' &loz;';
			$entries['file_manager']['title'] = T_('File Manager').'&hellip;';
			$entries['file_manager']['href'] = $admin_url.'?ctrl=files';
			$entries['file_manager']['disabled'] = false;

			$entries['file_manager']['entries'] = array();

			if( $current_User->check_perm( 'files', 'view' ) )
			{
				if( $Settings->get( 'fm_enable_roots_blog' ) )
				{ // we have blog files
					$entries['file_manager']['entries']['fm_view_blog'] = array(
						'text' => T_('View BLOG Files').'&hellip;',
						'href' => $admin_url.'?ctrl=files&amp;root=collection_'.$blog_id,
					);
				}
				if( $Settings->get( 'fm_enable_roots_user' ) )
				{ // we have user files
					$entries['file_manager']['entries']['fm_view_user'] = array(
						'text' => T_('View USER Files').'&hellip;',
						'href' => $admin_url.'?ctrl=files&amp;root=user_'.$current_User->ID,
					);
				}
				if( $Settings->get( 'fm_enable_roots_shared' ) )
				{ // we have shared files
					$entries['file_manager']['entries']['fm_view_shared'] = array(
						'text' => T_('View SHARED Files').'&hellip;',
						'href' => $admin_url.'?ctrl=files&amp;root=shared_0',
					);
				}
				if( $Settings->get( 'fm_enable_roots_templates' ) )
				{ // we have template files
					$entries['file_manager']['entries']['fm_view_templates'] = array(
						'text' => T_('View TEMPLATE Files').'&hellip;',
						'href' => $admin_url.'?ctrl=files&amp;root=templates_0',
					);
				}
			}

			if( $current_User->check_perm( 'files', 'add' ) )
			{
				$entries['file_manager']['entries']['filesupload_sep'] = array(
					'separator' => true,
				);
				if( $Settings->get( 'fm_enable_roots_blog' ) )
				{ // we have blog files
					$entries['file_manager']['entries']['fm_add_blog'] = array(
						'text' => T_('Upload BLOG Files').'&hellip;',
						'href' => $admin_url.'?ctrl=upload&amp;root=collection_'.$blog_id,
					);
				}
				if( $Settings->get( 'fm_enable_roots_user' ) )
				{ // we have user files
					$entries['file_manager']['entries']['fm_add_user'] = array(
						'text' => T_('Upload USER Files').'&hellip;',
						'href' => $admin_url.'?ctrl=upload&amp;root=user_'.$current_User->ID,
					);
				}
				if( $Settings->get( 'fm_enable_roots_shared' ) )
				{ // we have shared files
					$entries['file_manager']['entries']['fm_add_shared'] = array(
						'text' => T_('Upload SHARED Files').'&hellip;',
						'href' => $admin_url.'?ctrl=upload&amp;root=shared_0',
					);
				}
				if( $Settings->get( 'fm_enable_roots_templates' ) )
				{ // we have template files
					$entries['file_manager']['entries']['fm_add_templates'] = array(
						'text' => T_('Upload TEMPLATE Files').'&hellip;',
						'href' => $admin_url.'?ctrl=upload&amp;root=templates_0',
					);
				}
			}

			if( $current_User->check_perm( 'options', 'view' ) )
			{
				if( isset( $entries['file_manager']['entries']['fm_view_blog'] ) )
				{
					$entries['file_manager']['entries']['fileman_sep'] = array(
						'separator' => true,
					);
				}
				$entries['file_manager']['entries']['fm_fileset'] = array(
					'text' => T_('File Settings').'&hellip;',
					'href' => $admin_url.'?ctrl=fileset',
				);
				$entries['file_manager']['entries']['fm_filetypes'] = array(
					'text' => T_('File Types').'&hellip;',
					'href' => $admin_url.'?ctrl=filetypes',
				);
			}

		}

		// STATS LINK :: main item update and dropdown menu items...
		if( $current_User->check_perm( 'stats', 'list' ) )
		{ // current user has stats permisions of some kind
			$entries['stats_view']['text'] = T_('Stats').' &loz;';
			$entries['stats_view']['title'] = T_('view stats summary').'&hellip;';
			$entries['stats_view']['href'] = $admin_url.'?ctrl=stats&amp;tab=summary&amp;tab3=global&amp;blog=0';
			$entries['stats_view']['disabled'] = false;

			$blog_id = 0;
			$can_see_blog_stats = false;
			if( !empty($Blog) )
			{ // if we have a blog, can the current user access stats for it?
				$blog_id = $Blog->ID;
				$can_see_blog_stats = $current_User->check_perm( 'stats', 'view', false, $Blog->ID );
			}
			$entries['stats_view']['entries'] = array(
				'statslabel' => array(
					'text' => '<strong>'.T_('View Summary Stats').'</strong>',
				),
				'statslabel_sep' => array(
					'separator' => true,
				),
			);
			if( $can_see_blog_stats )
			{ // current user can access stats for the current blog
				$entries['stats_view']['entries']['statslabel']['text'] = '<strong>'.sprintf( /* %s is blog shortname */ T_('View stats for %s'), $shortname ).'</strong>';
			}
			$entries['stats_view']['entries'] += array(
				'summary' => array(
					'text' => T_('Hit summary').'&hellip;',
					'href' => $admin_url.'?ctrl=stats&amp;tab=summary&amp;tab3=global&amp;blog='.$blog_id,
				),
				'refsearches' => array(
					'text' => T_('Search B-hits').'&hellip;',
					'href' => $admin_url.'?ctrl=stats&amp;tab=refsearches&amp;tab3=hits&amp;blog='.$blog_id,
				),
				'referers' => array(
					'text' => T_('Referred B-hits').'&hellip;',
					'href' => $admin_url.'?ctrl=stats&amp;tab=referers&amp;blog='.$blog_id,
				),
				'other' => array(
					'text' => T_('Direct B-hits').'&hellip;',
					'href' => $admin_url.'?ctrl=stats&amp;tab=other&amp;blog='.$blog_id,
				),
				'useragents' => array(
					'text' => T_('User Agents').'&hellip;',
					'href' => $admin_url.'?ctrl=stats&amp;tab=useragents&amp;blog='.$blog_id,
				),
				'domains' => array(
					'text' => T_('Referring domains').'&hellip;',
					'href' => $admin_url.'?ctrl=stats&amp;tab=domains&amp;blog='.$blog_id,
				),
			);
			if( $blog_id != 0 )
			{ // a blog is identified, provide link to summary stats
				$entries['stats_view']['entries'] += array(
					'secondlabel' => array(
						'text' => '<strong>'.T_('View Summary Stats').'</strong>',
					),
					'secondlabel_sep' => array(
						'separator' => true,
					),
				);
			}
			$entries['stats_view']['entries']['sessions'] = array(
				'text' => T_('User sessions').'&hellip;',
				'href' => $admin_url.'?ctrl=stats&amp;tab=sessions&amp;tab3=login&amp;blog='.$blog_id,
			);
			$entries['stats_view']['entries']['goals'] = array(
				'text' => T_('Goals').'&hellip;',
				'href' => $admin_url.'?ctrl=goals',
			);
		}

		// TOOLS LINK :: main item update and dropdown menu items...
		if( $current_User->check_perm( 'options', 'view' ) )
		{ // current user can access the tools tab
			$entries['tools']['text'] = T_('Tools').' &loz;';
			$entries['tools']['title'] = T_('Tools').'&hellip;';
			$entries['tools']['href'] = $admin_url.'?ctrl=tools';
			$entries['tools']['disabled'] = false;

			$entries['tools']['entries'] = array();
			if( $current_User->check_perm( 'spamblacklist', 'view', false ) )
			{
				$entries['tools']['entries']['antispam'] = array(
					'text' => T_('Antispam').'&hellip;',
					'href' => $admin_url.'?ctrl=antispam',
				);
			}
			$entries['tools']['entries']['crontab'] = array(
				'text' => T_('Scheduler').'&hellip;',
				'href' => $admin_url.'?ctrl=crontab',
			);
			$entries['tools']['entries']['system'] = array(
				'text' => T_('System').'&hellip;',
				'href' => $admin_url.'?ctrl=system',
			);
			if( $current_User->check_perm( 'blogs', 'create' ) )
			{
				$entries['tools']['entries']['newblog_sep'] = array(
					'separator' => true,
				);
				$entries['tools']['entries']['newblog'] = array(
					'text' => T_('Create new blog').'&hellip;',
					'href' => $admin_url.'?ctrl=collections&amp;action=new',
				);
			}
		}

		// USERS LINK :: main item update and dropdown menu items...
		$entries['userprefs']['entries'] = array();
		if( $current_User->check_perm( 'users', 'view' ) )
		{ // current user can edit/view users
			$entries['userprefs']['text'] = '<strong>'.$current_User->login.'</strong>'.' &loz;';
			$entries['userprefs']['entries']['users_groups'] = array(
				'text' => T_('Users and Groups').'&hellip;',
				'href' => $admin_url.'?ctrl=users',
			);
		}
		if( $current_User->check_perm( 'users', 'edit' ) )
		{ // current user can edit users
			$entries['userprefs']['entries']['new_user'] = array(
				'text' => T_('Add user').'&hellip;',
				'href' => $admin_url.'?ctrl=users&amp;action=new_user',
			);
			$entries['userprefs']['entries']['new_group'] = array(
				'text' => T_('Add group').'&hellip;',
				'href' => $admin_url.'?ctrl=users&amp;action=new_group',
			);
		}
		if( $subs_url = get_user_subs_url() )
		{ // get subscriptions URL
			$entries['userprefs']['text'] = '<strong>'.$current_User->login.'</strong>'.' &loz;';
			$entries['userprefs']['entries']['subs_sep'] = array(
				'separator' => true,
			);
			$entries['userprefs']['entries']['subscriptions'] = array(
				'text' => T_('Email subscriptions').'&hellip;',
				'href' => $subs_url,
			);
		}
		$entries['userprefs']['entries']['logout_sep'] = array(
			'separator' => true,
		);
		$entries['userprefs']['entries']['logout'] = array(
			'text' => '<strong class="red">'.T_('Logout').'</strong>',
			'href' => get_user_logout_url(),
		);

		if( $debug )
		{
			$debug_text = 'DEBUG: ';
			if( !empty($seo_page_type) )
			{ // Set in template_init()
				$debug_text = $seo_page_type.': ';
			}
			if( $robots_index === false )
			{
				$debug_text .= 'NO INDEX';
			}
			else
			{
				$debug_text .= 'do index';
			}

			$entries['tools']['entries']['noindex_sep'] = array(
				'separator' => true,
			);
			$entries['tools']['entries']['noindex'] = array(
				'text' => $debug_text,
				'disabled' => true,
			);
		}

		$topleft_Menu->add_menu_entries( NULL, $entries );

		/* RIGHT MENU */
		$icon_class = 'iconbtn';
		$entries = array(
			// write link
			'write' => array(
				'text' => T_('Write').' '.get_icon('edit'),
				'title' => T_('No blog is currently selected'),
				'class' => $icon_class,
				'disabled' => true,
			),
			// admin/blog switch link
			'abswitch' => array(
				'text' => T_('Admin').' '.get_icon('switch-to-admin'),
				'title' => T_('Go to the back office'),
				'href' => $admin_url,
				'class' => $icon_class,
			),
			// logout link
			'logout' => array(
				'text' => T_('Logout').' '.get_icon('close'),
				'title' => T_('Logout'),
				'href' => get_user_logout_url(),
				'class' => 'rollover '.$icon_class,
			),
		);

		// admin/blog switch link - modified for in admin and blog selected
		if( $is_admin_page )
		{
			if( !empty( $Blog ) )
			{
				$entries['abswitch'] = array(
					'text' => T_('Blog').' '.get_icon('switch-to-blog'),
					'title' => T_('Go to this blog'),
					'href' => $Blog->get( 'url' ),
					'class' => $icon_class,
				);
			}
			else
			{
				$entries['abswitch'] = array(
					'text' => T_('Home').' '.get_icon('switch-to-blog'),
					'title' => T_('Go to the installation home'),
					'href' => $home_url,
					'class' => $icon_class,
				);
			}
		}
		// write link - modified for a blog identified and user has permissions
		if( !empty($Blog) )
		{ // a blog is identified
			if( $current_User->check_perm( 'blog_post_statuses', 'edit', false, $Blog->ID ) )
			{ // user has permissions (for at least one posting status)
				$entries['write']['title'] = T_('Write a new post into this blog');
				$entries['write']['href'] = $admin_url.'?ctrl=items&amp;action=new&amp;blog='.$Blog->ID;
				$entries['write']['disabled'] = false;
			}
			else
			{
				$entries['write']['title'] = T_('You don\'t have permission to post into this blog');
			}
		}
		$topright_Menu->add_menu_entries( NULL, $entries );
	}



	/**
	 * Builds the 1st half of the menu. This is the one with the most important features
	 */
	function build_menu_1()
	{
		global $blog, $dispatcher;
		/**
		 * @var User
		 */
		global $current_User;
		global $Blog;
		global $Settings;
		/**
		 * @var AdminUI_general
		 */
		global $AdminUI;

		$AdminUI->add_menu_entries(
			NULL, // root
			array(
				'dashboard' => array(
					'text' => T_('Dashboard'),
					'href' => $dispatcher.'?ctrl=dashboard&amp;blog='.$blog,
					'style' => 'font-weight: bold;'
				),
				'items' => array(
					'text' => T_('Posts / Comments'),
					'href' => $dispatcher.'?ctrl=items&amp;blog='.$blog.'&amp;filter=restore',
					// Controller may add subtabs
				),
			) );


		if( $Settings->get( 'fm_enabled' ) && $current_User->check_perm( 'files', 'view' ) )
		{ // FM enabled and permission to view files:
			$AdminUI->add_menu_entries( NULL, array(
						'files' => array(
							'text' => T_('Files'),
							'title' => T_('File management'),
							'href' => $dispatcher.'?ctrl=files',
							// Controller may add subtabs
						),
					) );

		}
	}





	/**
	 * Builds the 2nd half of the menu. This is the one with the configuration features
	 *
	 * At some point this might be displayed differently than the 1st half.
	 */
	function build_menu_2()
	{
		global $blog, $loc_transinfo, $ctrl, $dispatcher;
		/**
		 * @var User
		 */
		global $current_User;
		global $Blog;
		/**
		 * @var AdminUI_general
		 */
		global $AdminUI;

		// BLOG SETTINGS:
		if( $ctrl == 'collections' )
		{ // We are viewing the blog list, nothing fancy involved:
			$AdminUI->add_menu_entries(
					NULL, // root
					array(
						'blogs' => array(
							'text' => T_('Blog settings'),
							'href' => $dispatcher.'?ctrl=collections',
						),
					) );
		}
		else
		{ // We're on any other page, we may have a direct destination
			// + we have subtabs (fp > maybe the subtabs should go into the controller as for _items ?)

			// What perms do we have?
			$blog_props_perm = $current_User->check_perm( 'blog_properties', 'any', false, $blog );
			$coll_chapters_perm = $current_User->check_perm( 'blog_cats', '', false, $blog );

			// Determine default page based on permissions:
			if( $blog_props_perm )
			{ // Default: show General Blog Settings
				$default_page = $dispatcher.'?ctrl=coll_settings&amp;tab=general&amp;blog='.$blog;
			}
			elseif( $coll_chapters_perm )
			{ // Default: show categories
				$default_page = $dispatcher.'?ctrl=chapters&amp;blog='.$blog;
			}
			else
			{ // Default: Show list of blogs
				$default_page = $dispatcher.'?ctrl=collections';
			}

			$AdminUI->add_menu_entries(
					NULL, // root
					array(
						'blogs' => array(
							'text' => T_('Blog settings'),
							'href' => $default_page,
							),
						) );

			if( $blog_props_perm )
			{
				$AdminUI->add_menu_entries( 'blogs', array(
							'general' => array(
								'text' => T_('General'),
								'href' => $dispatcher.'?ctrl=coll_settings&amp;tab=general&amp;blog='.$blog, ),
							'features' => array(
								'text' => T_('Features'),
								'href' => $dispatcher.'?ctrl=coll_settings&amp;tab=features&amp;blog='.$blog, ),
							'template' => array(
								'text' => T_('Template'),
								'href' => $dispatcher.'?ctrl=coll_settings&amp;tab=template&amp;blog='.$blog, ),
							'template_settings' => array(
								'text' => T_('Template settings'),
								'href' => $dispatcher.'?ctrl=coll_settings&amp;tab=template_settings&amp;blog='.$blog, ),
							'plugin_settings' => array(
								'text' => T_('Plugin settings'),
								'href' => $dispatcher.'?ctrl=coll_settings&amp;tab=plugin_settings&amp;blog='.$blog, ),
							'widgets' => array(
								'text' => T_('Widgets'),
								'href' => $dispatcher.'?ctrl=widgets&amp;blog='.$blog, ),
						) );
			}

			if( $coll_chapters_perm )
			{
				$AdminUI->add_menu_entries( 'blogs', array(
							'chapters' => array(
								'text' => T_('Categories'),
								'href' => $dispatcher.'?ctrl=chapters&amp;blog='.$blog ),
						) );
			}

			if( $blog_props_perm )
			{
				$AdminUI->add_menu_entries( 'blogs', array(
							'urls' => array(
								'text' => T_('URLs'),
								'href' => $dispatcher.'?ctrl=coll_settings&amp;tab=urls&amp;blog='.$blog, ),
							'seo' => array(
								'text' => T_('SEO'),
								'href' => $dispatcher.'?ctrl=coll_settings&amp;tab=seo&amp;blog='.$blog, ),
							'advanced' => array(
								'text' => T_('Advanced'),
								'href' => $dispatcher.'?ctrl=coll_settings&amp;tab=advanced&amp;blog='.$blog, ),
						) );

				if( $Blog && $Blog->advanced_perms )
				{
					$AdminUI->add_menu_entries( 'blogs', array(
								'perm' => array(
									'text' => T_('User perms'), // keep label short
									'href' => $dispatcher.'?ctrl=coll_settings&amp;tab=perm&amp;blog='.$blog, ),
								'permgroup' => array(
									'text' => T_('Group perms'), // keep label short
									'href' => $dispatcher.'?ctrl=coll_settings&amp;tab=permgroup&amp;blog='.$blog, ),
							) );
				}
			}
		}

		if( $current_User->check_perm( 'options', 'view' ) )
		{ // Permission to view settings:
			$AdminUI->add_menu_entries( NULL, array(
						'options' => array(
							'text' => T_('Global settings'),
							'href' => $dispatcher.'?ctrl=settings',
							'entries' => array(
								'general' => array(
									'text' => T_('General'),
									'href' => $dispatcher.'?ctrl=settings' ),
								'features' => array(
									'text' => T_('Features'),
									'href' => $dispatcher.'?ctrl=features' ),
								'templates' => array(
									'text' => T_('Templates'),
									'href' => $dispatcher.'?ctrl=templates'),
								'plugins' => array(
									'text' => T_('Plugins'),
									'href' => $dispatcher.'?ctrl=plugins'),
								'antispam' => array(
									'text' => T_('Antispam'),
									'href' => $dispatcher.'?ctrl=set_antispam'),
								'regional' => array(
									'text' => T_('Regional'),
									'href' => $dispatcher.'?ctrl=locales'.( (isset($loc_transinfo) && $loc_transinfo) ? '&amp;loc_transinfo=1' : '' ) ),
								'files' => array(
									'text' => T_('Files'),
									'href' => $dispatcher.'?ctrl=fileset' ),
								'filetypes' => array(
									'text' => T_('File types'),
									'href' => $dispatcher.'?ctrl=filetypes' ),
								'types' => array(
									'text' => T_('Post types'),
									'title' => T_('Post types management'),
									'href' => $dispatcher.'?ctrl=itemtypes'),
								'statuses' => array(
									'text' => T_('Post statuses'),
									'title' => T_('Post statuses management'),
									'href' => $dispatcher.'?ctrl=itemstatuses'),
							)
						),
					) );
		}


		if( $current_User->check_perm( 'users', 'view' ) )
		{ // Permission to view users:
			$AdminUI->add_menu_entries( NULL, array(
						'users' => array(
						'text' => T_('Users'),
						'title' => T_('User management'),
						'href' => $dispatcher.'?ctrl=users',
					),
				) );
		}
		else
		{ // Only perm to view his own profile:
			$AdminUI->add_menu_entries( NULL, array(
						'users' => array(
						'text' => T_('My profile'),
						'title' => T_('User profile'),
						'href' => $dispatcher.'?ctrl=users',
					),
				) );
		}


		if( $current_User->check_perm( 'options', 'view' ) )
		{ // Permission to view settings:
			// FP> This assumes that we don't let regular users access the tools, including plugin tools.
				$AdminUI->add_menu_entries( NULL, array(
						'tools' => array(
							'text' => T_('Tools'),
							'href' => $dispatcher.'?ctrl=crontab',
							'entries' => array(
								'cron' => array(
									'text' => T_('Scheduler'),
									'href' => $dispatcher.'?ctrl=crontab' ),
								'system' => array(
									'text' => T_('System'),
									'href' => $dispatcher.'?ctrl=system' ),
									),
								),
							) );

				if( $current_User->check_perm( 'spamblacklist', 'view' ) )
				{ // Permission to view antispam:
					$AdminUI->add_menu_entries( 'tools', array(
									'antispam' => array(
										'text' => T_('Antispam'),
										'href' => $dispatcher.'?ctrl=antispam' ),
									) );
				}

				$AdminUI->add_menu_entries( 'tools', array(
							'' => array( // fp> '' is dirty
								'text' => T_('Misc'),
								'href' => $dispatcher.'?ctrl=tools' ),
						) );
		}
		elseif( $current_User->check_perm( 'spamblacklist', 'view' ) )
		{ // Permission to view antispam but NOT tools:
			// Give it it's own tab:
			$AdminUI->add_menu_entries( NULL, array(
						'tools' => array(
							'text' => T_('Tools'),
							'href' => $dispatcher.'?ctrl=antispam',
							'entries' => array(
								'antispam' => array(
									'text' => T_('Antispam'),
									'href' => $dispatcher.'?ctrl=antispam' ),
								),
						),
					) );
		}
	}
}

$_core_Module = new _core_Module();


?>
