<?php
/**
 * This file implements the UI view for the template selection when creating a blog.
 *
 * This file is part of the Quam Plures project - {@link http://quamplures.net/}.
 * See also {@link https://launchpad.net/quam-plures}.
 *
 * @copyright (c) 2009 by the Quam Plures developers - {@link http://quamplures.net/}
 * @copyright (c)2003-2009 by Francois PLANQUE - {@link http://fplanque.net/}.
 *
 * @license http://quamplures.net/license.html GNU General Public License (GPL)
 *
 * @package templates
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

global $kind;

echo '<h2>'.sprintf( T_('New %s'), Blog::kind_name($kind) ).':</h2>';

echo '<h3>'.T_('Pick a template:').'</h3>';

$TemplateCache = & get_Cache( 'TemplateCache' );
$TemplateCache->load_all();

// TODO: this is like touching private parts :>
foreach( $TemplateCache->cache as $Template )
{
	if( $Template->type != 'normal' )
	{	// This template cannot be used here...
		continue;
	}

	// Display templateshot:
	Template::disp_templateshot( $Template->folder, $Template->name, 'pick', false, '?ctrl=collections&amp;action=new-name&amp;kind='.$kind.'&amp;template_ID='.$Template->ID );
}

echo '<div class="clear"></div>';

?>