<?php
/**
 * This file implements the UI view for the installed templates.
 *
 * This file is part of the Quam Plures project - {@link http://quamplures.net/}.
 * See also {@link https://launchpad.net/quam-plures}.
 *
 * @copyright (c) 2009 by the Quam Plures developers - {@link http://quamplures.net/}
 * @copyright (c)2003-2009 by Francois PLANQUE - {@link http://fplanque.net/}.
 *
 * @license http://quamplures.net/license.html GNU General Public License (GPL)
 *
 * @package templates
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

// Create result set:
$Results = new Results( 'SELECT T_templates__template.*, COUNT(blog_ID) AS nb_blogs
													 	 FROM T_templates__template LEFT JOIN T_blogs ON template_ID = blog_template_ID
													 	GROUP BY template_ID',
							'', '', NULL, 'SELECT COUNT( * ) FROM T_templates__template' );
$Results->Cache = & get_Cache( 'TemplateCache' );
$Results->title = T_('Installed templates');

if( $current_User->check_perm( 'options', 'edit', false ) )
{ // We have permission to modify:
	$Results->cols[] = array(
							'th' => T_('Name'),
							'order' => 'template_name',
							'td' => '<strong><a href="'.regenerate_url( '', 'template_ID=$template_ID$&amp;action=edit' ).'" title="'.TS_('Edit template properties...').'">$template_name$</a></strong>',
						);
}
else
{ // We have NO permission to modify:
	$Results->cols[] = array(
							'th' => T_('Name'),
							'order' => 'template_name',
							'td' => '<strong>$template_name$</strong>',
						);
}

$Results->cols[] = array(
						'th' => T_('Template type'),
						'order' => 'template_type',
						'td_class' => 'center',
						'td' => '$template_type$',
					);

$Results->cols[] = array(
						'th' => T_('Blogs'),
						'order' => 'nb_blogs',
						'th_class' => 'shrinkwrap',
						'td_class' => 'center',
						'td' => 'conditional( (#nb_blogs# > 0), #nb_blogs#, \'&nbsp;\' )',
					);

$Results->cols[] = array(
						'th' => T_('Template Folder'),
						'order' => 'template_folder',
						'td' => '$template_folder$',
					);

if( $current_User->check_perm( 'options', 'edit', false ) )
{ // We have permission to modify:
	$Results->cols[] = array(
							'th' => T_('Actions'),
							'th_class' => 'shrinkwrap',
							'td_class' => 'shrinkwrap',
							'td' => action_icon( TS_('Edit template properties...'), 'properties',
	                        '%regenerate_url( \'\', \'template_ID=$template_ID$&amp;action=edit\')%' )
	                    .action_icon( TS_('Reload containers!'), 'reload',
	                        '%regenerate_url( \'\', \'template_ID=$template_ID$&amp;action=reload\')%' )
											.'conditional( #nb_blogs# < 1, \''
											.action_icon( TS_('Uninstall this template!'), 'delete',
	                        '%regenerate_url( \'\', \'template_ID=$template_ID$&amp;action=delete\')%' ).'\', \''
	                        .get_icon( 'delete', 'noimg' ).'\' )',
						);

  $Results->global_icon( T_('Install new template...'), 'new', regenerate_url( 'action,blog', 'action=new'), T_('Install new'), 3, 4  );
}


// $fadeout_array = array( 'template_ID' => array(6) );
$fadeout_array = NULL;

$Results->display( NULL, 'session' );


?>
