<?php
/**
 * This is a demo template displaying multiple blogs on the same page
 *
 * If you're new to quam plures template system, you should not start with this file
 * It will be easier to start examining blog_a.php or notemplate_a.php for instance...
 *
 * @todo EdB: this file needs to one day move to /templates/
 *
 * @package templates
 */

# First blog will be displayed the regular way (why bother?)
$blog = 1;

# Tell quam plures you don't want to use templates for this page:
$template = '';

# This setting retricts posts to those published, thus hiding drafts.
# You should not have to change this.
$show_statuses = array();

# Here you can set a limit before which posts will be ignored
# You can use a unix timestamp value or 'now' which will hide all posts in the past
$timestamp_min = '';

# Here you can set a limit after which posts will be ignored
# You can use a unix timestamp value or 'now' which will hide all posts in the future
$timestamp_max = 'now';

# Additionnaly, you can set other values (see URL params in the manual)...
# $order = 'ASC'; // This for example would display the blog in chronological order...

# Tell Quam Plures not to redirect. This is necessary only if "301" for homepage is checked and the blog URL is set
# to something else than this page -- which is the case on demo installs.
# For production systems, properly set the blog URL , then remove the line below:
$redir = 'no';

/**
 * Let Quam Plures handle the query string and load the blog data:
 */
require_once dirname(__FILE__).'/qp_config/_config.php';

require_once $inc_path.'_blog_main.inc.php';

// Make sure includes will check in the current folder!
$ads_current_template_path = dirname(__FILE__).'/';

# Now, below you'll find the magic template...

// --------------------- PAGE LEVEL CACHING SUPPORT ---------------------
// Note: This is totally optional. General caching must be enabled in Global settings, otherwise this will do nothing.
// Delete this block if you don't care about page level caching. Don't forget to delete the matching section at the end of the page.
load_class( '_core/model/_pagecache.class.php' );
$PageCache = new PageCache( NULL );
// Check for cached content & Start caching if needed:
if( ! $PageCache->check() )
{ // Cache miss, we have to generate:

// do $disp-based initializations...
template_init( $disp );
add_js_for_toolbar(); /* registers javascripts for the navbar */
header_content_type( 'text/html' ); /* sets charset */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php locale_lang(); ?>" lang="<?php locale_lang(); ?>">
<head>
<?php
template_content_meta(); /* meta http-equiv Content-Type */
template_base_tag(); /* needed for css and img includes */
?>
<title><?php // title for the current request
request_title( array(
	'title_before' => '',
	'title_after' => ' - ',
	'title_none' => '',
	'glue' => ' - ',
	'format' => 'htmlhead',
) ); ?>Multiblog Demo</title>
<?php
template_description_tag(); /* meta name description tag */
template_keywords_tag(); /* meta name keywords tag */
robots_tag(); /* meta name robots tag, if needed */
meta_generator_tag(); /* please leave this in for stats */
if( $Blog->get_setting( 'feed_content' ) != 'none' )
{ // auto-discovery urls
	?>
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php $Blog->disp( 'rss2_url', 'raw' ) ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom" href="<?php $Blog->disp( 'atom_url', 'raw' ) ?>" />
	<?php
}
?>
<link rel="EditURI" type="application/rsd+xml" title="RSD" href="<?php echo $xmlsrv_url; ?>rsd.php?blog=<?php echo $Blog->ID; ?>" />
<meta name="viewport" content="width = 750" />
<link rel="stylesheet" href="rsc/css/standalone.css" type="text/css" />
<?php
include_headlines(); /* output collected HEAD lines */
?>
</head>

<body>
<?php
// activate the sonic transducer
$Plugins->trigger_event( 'TemplateBeginHtmlBody' );

// --- --- --- --- --- --- --- --- --- --- ---
// --- TOOLBAR INCLUDED HERE ---
template_include( '_toolbar.inc.php' );

echo "\n";
if( is_logged_in() )
{
	echo '<div id="template_wrapper" class="template_wrapper_loggedin">';
}
else
{
	echo '<div id="template_wrapper" class="template_wrapper_anonymous">';
}
echo "\n";
?>

<div class="pageHeader">
<?php
// display the Public Blog List widget
template_widget( array(
	'widget' => 'bloglist',
	'block_start' => '<div class="bloglist">',
	'block_end' => '</div>',
	'block_display_title' => false,
	'list_start' => '',
	'list_end' => '',
	'item_start' => '',
	'item_end' => '',
	'item_selected_start' => '',
	'item_selected_end' => '',
	'link_selected_class' => 'buttons',
	'link_default_class' => 'buttons',
) );
?>

<div class="pageTitle">
<h1 id="pageTitle"><?php echo T_('Multiblog demo') ?></h1>
</div>

</div>

<div class="pageSubTitle"><?php echo T_('This demo template displays 3 blogs at once (1 on the left, 2 on the right)') ?></div>

<div class="main">

<div class="bPosts">
<h2>#1: <a href="<?php $Blog->disp( 'blogurl', 'raw' ) ?>"><?php echo $Blog->disp( 'name', 'htmlbody' ) ?></a></h2>
<?php
// title for the current request
request_title( array(
	'title_before' => '<h2>',
	'title_after' => '</h2>',
	'title_none' => '',
	'glue' => ' - ',
	'title_single_disp' => true,
	'format' => 'htmlbody',
) );

// display a message if list is empty
display_if_empty();

// loop through as long as we have an Item...
while( $Item = & mainlist_get_item() )
{
	// display the date if it changed
	$MainList->date_if_changed( array(
		'before' => '<h2>',
		'after' => '</h2>',
		'date_format' => '#',
	) );
	?>

	<div id="<?php $Item->anchor_id(); ?>" class="bPost bPost<?php $Item->status_raw() ?>" lang="<?php $Item->lang() ?>">

	<div class="bSmallHead">
	<?php
	// display the item's permalink
	$Item->permanent_link( array(
		'text' => '#icon#',
	) );

	// display issue date/time of item
	$Item->issue_time(array() );

	// display and link categories by name
	$Item->categories( array(
		'before' => ', '.T_('Categories').': ',
	) );
	?>
	</div>

	<h3 class="bTitle"><?php $Item->title(); ?></h3>
	<?php
	// --- --- --- --- --- --- --- --- --- --- ---
	// ---  POST CONTENT INCLUDED HERE ---
	template_include( '_item_content.inc.php', array(
		'image_size' => 'fit-400',
	) );
	?>

	<div class="bSmallPrint">
	<?php
	// display link to (and count of) comments only
	$Item->feedback_link( array(
		'type' => 'comments',
		'link_after' => ' &bull; ',
	) );

	// display link to (and count of) trackbacks only
	$Item->feedback_link( array(
		'type' => 'trackbacks',
		'link_after' => ' &bull; ',
	) );

	// display the item's permalink
	$Item->permanent_link();
	?>
	</div>

	<?php
	// --- --- --- --- --- --- --- --- --- --- ---
	// --- ITEM FEEDBACK INCLUDED HERE ---
	template_include( '_item_feedback.inc.php', array(
		'before_section_title' => '<h4>',
		'after_section_title' => '</h4>',
	) );
	?>
	</div>

	<?php
}

// prev/next links on multi-post pages
mainlist_page_links( array(
	'block_start' => '<p class="center"><strong>',
	'block_end' => '</strong></p>',
	'links_format' => '$prev$ :: $next$',
	'prev_text' => '&lt;&lt; '.T_('Previous'),
	'next_text' => T_('Next').' &gt;&gt;',
) );

// --- --- --- --- --- --- --- --- --- --- ---
// MAIN CONTENT INCLUDED HERE
template_include( '$disp$', array(
	// we already handled these cases above
	'disp_posts' => '',
	'disp_single' => '',
	'disp_page' => '',
) );
?>
</div>

<div class="bSideBar">

<div class="bSideItem">
<?php
$BlogCache = & get_Cache( 'BlogCache' );
$Blog_B = & $BlogCache->get_by_ID( 2, false );
if( empty($Blog_B) )
{
	echo sprintf( T_('Blog #%d doesn\'t seem to exist.'), 2 );
}
else
{
	?>
	<h3>#2: <a href="<?php $Blog_B->disp( 'blogurl', 'raw' ) ?>"><?php echo $Blog_B->disp( 'name', 'htmlbody' ) ?></a></h3>
	<?php
	$BlogBList = new ItemList2( $Blog_B, $timestamp_min, $timestamp_max, $posts );
	$BlogBList->set_filters( array(
		'authors' => $author,
		'ymdhms' => $m,
		'week' => $w,
		'order' => $order,
		'orderby' => $orderby,
		'unit' => $unit,
	) );

	// Run the query:
	$BlogBList->query();

	while( $Item = & $BlogBList->get_item() )
	{
		?>
		<div id="<?php $Item->anchor_id(); ?>" class="bPostSide bPostSide<?php $Item->status_raw() ?>" lang="<?php $Item->lang() ?>">
		<h4 class="bTitle">
		<?php
		// display the item's permalink
		$Item->permanent_link( array(
			'text' => '#icon#',
		) );
		?>
		<?php $Item->title(); ?>
		</h4>

		<div class="bText">
		<?php
		// display item's teaser
		$Item->content_teaser( array(
			'before' => '',
			'after' => '',
			'disppage' => 1,
			'stripteaser' => false,
		) );
		?>
		</div>

		</div>
		<?php
	}
}
?>
</div>

<div class="bSideItem">
<?php
$Blog_roll = & $BlogCache->get_by_ID( 3, false );
if( empty($Blog_roll) )
{
	echo sprintf( T_('Blog #%d doesn\'t seem to exist.'), 3 );
}
else
{
	?>
	<h3>#3: <a href="<?php $Blog_roll->disp( 'blogurl', 'raw' ) ?>"><?php echo $Blog_roll->disp( 'name', 'htmlbody' ) ?></a></h3>
	<?php
	$LinkblogList = new ItemList2( $Blog_roll, $timestamp_min, $timestamp_max, $posts );
	$LinkblogList->set_filters( array(
		'authors' => $author,
		'ymdhms' => $m,
		'week' => $w,
		'order' => $order,
		'orderby' => $orderby,
		'unit' => $unit,
	) );

	// Run the query:
	$LinkblogList->query();

	while( $Item = & $LinkblogList->get_item() )
	{
		?>
		<div id="<?php $Item->anchor_id(); ?>" class="bPostSide bPostSide<?php $Item->status_raw(); ?>" lang="<?php $Item->lang(); ?>">
		<h4 class="bTitle">
		<?php
		// display the item's permalink
		$Item->permanent_link( array(
			'text' => '#icon#',
		) );

		// display and link item title
		$Item->title();
		?></h4>
		<div class="bText">
		<?php
		// display item's teaser
		$Item->content_teaser( array(
			'disppage' => 1,
			'stripteaser' => false,
		) );
		?>
		</div>
		</div>
		<?php
	}
}
?>
</div>

<div class="bSideItem">
<h3><?php echo T_('Misc') ?></h3>
<ul>
<?php
// Administrative links:
user_login_link( '<li>', '</li>' );
user_register_link( '<li>', '</li>' );
user_admin_link( '<li>', '</li>' );
user_profile_link( '<li>', '</li>' );
user_subs_link( '<li>', '</li>' );
user_logout_link( '<li>', '</li>' );
?>
</ul>
</div>

</div>

</div>

<div class="footer">
This is a demo page for <a href="<?php echo $app_homepage; ?>"><?php echo $app_name; ?></a>.
</div>

</div>

</body>
</html>
<?php
// --------------------- PAGE LEVEL CACHING SUPPORT ---------------------
// Save collected cached data if needed:
$PageCache->end_collect();
}
?>
