<?php
/**
 * This file implements the Ask A Ninja Video class of the video plugin for Quam Plures
 *
 * Quam Plures - {@link http://quamplures.net/}
 * Released under GNU GPL License - {@link http://quamplures.net/license.html}
 * @copyright (c) 2010 by the Quam Plures developers - {@link http://quamplures.net/}
 *
 * @package plugins
 * @subpackage video
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

/**
 * Ask A Ninja Video Class
 *
 * @package plugins
 * @subpackage video
 */
class vp_askaninja extends vp_video {

	var $nice_name = 'Ask A Ninja';
	var $homepage = 'http://askaninja.com';
	var $def_value = 0;


	/**
	 * source-specific javascript
	 */
	function GetJavascript()
	{
		$r = <<<JAVASCRIPT
var p = '{$this->T_('Enter the EMBED code for your askaninja video:')}';
var ninja_ID = _me.prompt( p, '' );
if( ! ninja_ID ) {
	return;
}
if( ninja_ID.search("embed") == 1 ) {
	var splitA = ninja_ID.split("\"");
	var stringA = splitA[3];
	var clip_ID = stringA.split("/");
	tag = '[video:ninja:'+clip_ID[5]+'/'+clip_ID[6]+']';
	_me.addTag(tag);
} else {
	return;
}
JAVASCRIPT;
return $r;
	}


	/**
	 * supports RenderItemAsHtml() in _video.plugin.php
	 */
	function RenderContent( $content, $width )
	{
		if( strpos($content,'[video:ninja') !== false )
		{
			$content = preg_replace( '#\[video:ninja:(.+?)]#', '<div class="videoblock"><object type="application/x-shockwave-flash" data="http://p.castfire.com/1P48R/video/\\1" [ninj:345] ><param name="movie" value="http://p.castfire.com/1P48R/video/\\1" /><param name="allowfullscreen" value="true" /><param name="wmode" value="transparent" /></object></div>', $content );
			$content = preg_replace( '#\[ninj:(.+?)]#', 'width="'.$width.'" height="'.round( ( $width * substr($content,strpos($content,'[ninj')+6,3) ) / 425 ).'"', $content );
		}
		return $content;
	}
}
?>
