<?php
/**
 * This file implements the Blip Video class of the video plugin for Quam Plures
 *
 * Quam Plures - {@link http://quamplures.net/}
 * Released under GNU GPL License - {@link http://quamplures.net/license.html}
 * @copyright (c) 2010 by the Quam Plures developers - {@link http://quamplures.net/}
 *
 * @package plugins
 * @subpackage video
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

/**
 * Blip Video Class
 *
 * @package plugins
 * @subpackage video
 */
class vp_blip extends vp_video {

	var $nice_name = 'Blip';
	var $homepage = 'http://blip.tv';


	/**
	 * source-specific javascript
	 */
	function GetJavascript()
	{
		/**
		 * Sample embed code :
		 * <embed src="http://blip.tv/play/goUmgb2aWwI%2Em4v" type="application/x-shockwave-flash" width="480" height="300" allowscriptaccess="always" allowfullscreen="true"></embed>
		 */
		$r = <<<JAVASCRIPT
	var regex = new RegExp( '^.+?http:\/\/blip.tv\/play\/([^"]+?)".+?width="([0-9]+?)" height="([0-9]+?)".+?$' );
if( vid_code.match( regex ) ) {
	return '[video:blip:'+vid_code.replace( regex, '$1 w:$2 h:$3' )+']';
} else {
	return false;
}
JAVASCRIPT;
return $r;
	}


	/**
	 * supports RenderItemAsHtml() in _video.plugin.php
	 */
	function RenderContent( $content, $width )
	{
		if( strpos($content,'[video:blip') !== false )
		{
			$content = preg_replace( '#\[video:blip:(.+?) w:(.+?) h:(.+?)]#', '<div class="videoblock"><object type="application/x-shockwave-flash" data="http://blip.tv/play/\\1" [blptvscale:\\2:\\3]><param name="movie" value="http://blip.tv/play/\\1" /><param name="allowfullscreen" value="true" /><param name="wmode" value="transparent" /></object></div>', $content );
			while( substr( $content,strpos($content,'[blptvscale') +12,3 ) > 0 )
			{
				$orig_height = substr($content,strpos($content,'[blptvscale')+16,3);
				$orig_width = substr($content,strpos($content,'[blptvscale')+12,3);
				$height = round( ( $width * $orig_height ) / $orig_width );
				$content = preg_replace( '#\[blptvscale:(.+?)]#', 'width="'.$width.'" height="'.$height.'"', $content, $limit= 1 );
				}
			}
		return $content;
	}
}
?>
