<?php
/**
 * This file implements the Google Video class of the video plugin for Quam Plures
 *
 * Quam Plures - {@link http://quamplures.net/}
 * Released under GNU GPL License - {@link http://quamplures.net/license.html}
 * @copyright (c) 2010 by the Quam Plures developers - {@link http://quamplures.net/}
 *
 * @package plugins
 * @subpackage video
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

/**
 * Google Video Class
 *
 * @package plugins
 * @subpackage video
 */
class vp_google extends vp_video {

	var $nice_name = 'Google';
	var $homepage = 'http://video.google.com';


	/**
	 * source-specific javascript
	 */
	function GetJavascript()
	{
		/**
		 * Sample embed :
		 * <embed id=VideoPlayback src=http://video.google.com/googleplayer.swf?docid=4913196365903075662&hl=en&fs=true style=width:400px;height:326px allowFullScreen=true allowScriptAccess=always type=application/x-shockwave-flash> </embed>
		 *
		 * Sample url
		 * http://video.google.com/videoplay?docid=4913196365903075662&ei=0XWGS6X9PIKQ-Ab5kMXhBg&q=brain#
		 */
		$r = <<<JAVASCRIPT
var regex = new RegExp( '^.+?http:\/\/video\.google\..+?docid=([0-9]+?)&.+?width:([0-9]+?)px;height:([0-9]+?)px.+?$' );
var regexUrl = new RegExp( '^http:\/\/video\.google\..+?docid=([0-9]+?)&.+?$' );
if( vid_code.match( regex ) ) {
	return '[video:google:'+vid_code.replace( regex, '$1 w:$2 h:$3' )+']';
} else if( vid_code.match( regexUrl ) ) {
	return '[video:google:'+vid_code.replace( regexUrl, '$1' )+']';
} else {
	return false;
}
JAVASCRIPT;

		return $r;
	}


	/**
	 * supports RenderItemAsHtml() in _video.plugin.php
	 */
	function RenderContent( $content, $width )
	{
		if( strpos($content,'[video:google') !== false )
		{
			$content = preg_replace( '#\[video:google:(.+?)]#', '<div class="videoblock"><object type="application/x-shockwave-flash" data="http://video.google.com/googleplayer.swf?docId=\\1&hl=en" [goog:346]><param name="movie" value="http://video.google.com/googleplayer.swf?docId=\\1&hl=en" /><param name="allowfullscreen" value="true" /><param name="wmode" value="transparent" /></object></div>', $content );
			$content = preg_replace( '#\[goog:(.+?)]#', 'width="'.$width.'" height="'.round( ( $width * substr($content,strpos($content,'[goog')+6,3) ) / 425 ).'"', $content );
		}
		return $content;
	}
}
?>
