<?php
/**
 * This file implements the Metacafe Video class of the video plugin for Quam Plures
 *
 * Quam Plures - {@link http://quamplures.net/}
 * Released under GNU GPL License - {@link http://quamplures.net/license.html}
 * @copyright (c) 2010 by the Quam Plures developers - {@link http://quamplures.net/}
 *
 * @package plugins
 * @subpackage video
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

/**
 * Metacafe Video Class
 *
 * @package plugins
 * @subpackage video
 */
class vp_metacafe extends vp_video {

	var $nice_name = 'Metacafe';
	var $homepage = 'http://www.metacafe.com/';
	var $def_value = 0;


	/**
	 * source-specific javascript
	 */
	function GetJavascript()
	{
		/**
		 * Sample embed :
		 * <embed src="http://www.metacafe.com/fplayer/3585848/from_paris_with_love_movie_trailer.swf" width="400" height="345" wmode="transparent" allowFullScreen="true" allowScriptAccess="always" name="Metacafe_3585848" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash"> </embed><br><font size = 1><a href="http://www.metacafe.com/watch/3585848/from_paris_with_love_movie_trailer/">From Paris with Love: Movie Trailer</a> - <a href="http://www.metacafe.com/">More amazing video clips are a click away</a></font>
		 *
		 * Sample url :
		 * http://www.metacafe.com/watch/3585848/from_paris_with_love_movie_trailer/
		 */
		$r = <<<JAVASCRIPT
var regex = new RegExp( '^.+?www\.metacafe\.com\/fplayer\/(.+?)\.swf.+?width="([0-9]+?)" height="([0-9]+?)".+?$', 'i' );
var regexUrl = new RegExp( '^.+?www\.metacafe\.com\/watch/(.+?)\/?$' );
if( vid_code.match( regex ) ) {
	return '[video:metacafe:'+vid_code.replace( regex, '$1.swf w:$2 h:$3' )+']';
} else if( vid_code.match( regexUrl ) ) {
	return '[video:metacafe:'+vid_code.replace( regexUrl, '$1.swf' )+']';
} else {
	return false;
}
JAVASCRIPT;
return $r;
	}


	/**
	 * supports RenderItemAsHtml() in _video.plugin.php
	 */
	function RenderContent( $content, $width )
	{
		if( strpos($content,'[video:metacafe') !== false )
		{
			$content = preg_replace( '#\[video:metacafe:(.+?)(:w:([0-9]+?) h:([0-9]+?))?]#', '<div class="videoblock"><object type="application/x-shockwave-flash" data="http://www.metacafe.com/fplayer/\\1" [mtcf:345]><param name="movie"value="http://www.metacafe.com/fplayer/\\1" /><param name="allowfullscreen" value="true" /><param name="wmode" value="transparent" /></object></div>', $content );
			$content = preg_replace( '#\[mtcf:(.+?)]#', 'width="'.$width.'" height="'.round( ( $width * substr($content,strpos($content,'[mtcf')+6,3) ) / 400 ).'"', $content );
		}
		return $content;
	}
}
?>
