<?php
/**
 * This file implements the Ask A Ninja Video class of the video plugin for Quam Plures
 *
 * Quam Plures - {@link http://quamplures.net/}
 * Released under GNU GPL License - {@link http://quamplures.net/license.html}
 * @copyright (c) 2010 by the Quam Plures developers - {@link http://quamplures.net/}
 *
 * @package plugins
 * @subpackage video
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

/**
 * Ask A Ninja Video Class
 *
 * @package plugins
 * @subpackage video
 */
class vp_ted extends vp_video {

	var $nice_name = 'Ted';
	var $homepage = 'http://www.ted.com/index.php/talks';


	/**
	 * source-specific javascript
	 */
	function GetJavascript()
	{
		/**
		 * sample embed :
		 * <object width="446" height="326"><param name="movie" value="http://video.ted.com/assets/player/swf/EmbedPlayer.swf"></param><param name="allowFullScreen" value="true" /><param name="wmode" value="transparent"></param><param name="bgColor" value="#ffffff"></param> <param name="flashvars" value="vu=http://video.ted.com/talks/dynamic/TempleGrandin_2010-embed-medium.mp4&su=http://images.ted.com/images/ted/tedindex/embed-posters/TempleGrandin-2010.embed_thumbnail.jpg&vw=432&vh=240&ap=0&ti=773&introDuration=16500&adDuration=4000&postAdDuration=2000&adKeys=talk=temple_grandin_the_world_needs_all_kinds_of_minds;year=2010;theme=new_on_ted_com;theme=tales_of_invention;theme=a_taste_of_ted2010;theme=how_the_mind_works;event=TED2010;&preAdTag=tconf.ted/embed;tile=1;sz=512x288;" /><embed src="http://video.ted.com/assets/player/swf/EmbedPlayer.swf" pluginspace="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" wmode="transparent" bgColor="#ffffff" width="446" height="326" allowFullScreen="true" flashvars="vu=http://video.ted.com/talks/dynamic/TempleGrandin_2010-embed-medium.mp4&su=http://images.ted.com/images/ted/tedindex/embed-posters/TempleGrandin-2010.embed_thumbnail.jpg&vw=432&vh=240&ap=0&ti=773&introDuration=16500&adDuration=4000&postAdDuration=2000&adKeys=talk=temple_grandin_the_world_needs_all_kinds_of_minds;year=2010;theme=new_on_ted_com;theme=tales_of_invention;theme=a_taste_of_ted2010;theme=how_the_mind_works;event=TED2010;"></embed></object>
		 *
		 * sample wp tag : Not working, looks like wp makes a server call
		 * [ted id=773]
		 */
		$r = <<<JAVASCRIPT
var regex = new RegExp( '^.+?width="([0-9]+?)" height="([0-9]+?)".+?video\.ted\.com\/.+?vu=(.+?)&.+?$', 'i' );
var regexUrl = new RegExp( '^.ted id=(.+?).$' );
if( vid_code.match( regex ) ) {
	return '[video:ted:'+vid_code.replace( regex, '$3 w:$1 h:$2' )+']';
} else if( vid_code.match( regexUrl ) ) {
	return '[video:ted:'+vid_code.replace( regexUrl, '$1' )+']';
} else {
	return false;
}
JAVASCRIPT;

		return $r;
	}


	/**
	 * supports RenderItemAsHtml() in _video.plugin.php
	 */
	function RenderContent( $content, $width )
	{
		if( strpos($content,'[video:ted') !== false )
		{
			$content = preg_replace( '#\[video:ted:(.+?) w:([0-9]+?) h:([0-9]+?)]#', '<div class="videoblock">
<object width="$2" height="$3" type="application/x-shockwave-flash" data="http://video.ted.com/assets/player/swf/EmbedPlayer.swf?vu=$1">
<param name="movie" value="$1" />
<param name="allowFullScreen" value="true" />
<param name="wmode" value="transparent" />
<param name="bgColor" value="#ffffff" />
</object></div>', $content );

			// @todo yabs > handle this better
			$content = preg_replace( '#\[video:ted:(.+?)]#', '<div class="videoblock">
<object width="446" height="326" type="application/x-shockwave-flash" data="http://video.ted.com/assets/player/swf/EmbedPlayer.swf?vu=$1">
<param name="movie" value="$1" />
<param name="allowFullScreen" value="true" />
<param name="wmode" value="transparent" />
<param name="bgColor" value="#ffffff" />
</object></div>', $content );
		}
		return $content;
	}
}
?>
