<?php
/**
 * "toolbar" sub-template

Need help doing something with this file?
http://docs.quamplures.net/li_templates.html - tutorials and autodocs

 * This is meant to be included via a .main.php (or other .inc.php) file
 *
 * Quam Plures - {@link http://quamplures.net/}
 * Released under GNU GPL License - {@link http://quamplures.net/license.html}
 * @copyright (c) 2009 by the Quam Plures developers - {@link http://quamplures.net/}
 * @copyright (c)2003-2009 by Francois PLANQUE - {@link http://fplanque.net/}
 * @package templates
 * @subpackage generics
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

if( ! is_logged_in() )
{
	return;
}

global $Blog;
global $Settings;
global $is_admin_page, $localtimenow, $disp_detail;

/**
 * @var User
 */
global $current_User;
global $home_url, $admin_url, $debug, $seo_page_type, $robots_index;

/**
 * @var Hit
 */
global $Hit;
global $Plugins;

load_class( '_core/ui/_menu.class.php' );

/**
 * @global Menu navbar menu on the top left (should be useed for content & system management features)
 */
global $topleft_Menu;
$topleft_Menu = new Menu();

/**
 * @global Menu navbar menu on the top right (should be used for current user's session, profile & prefs features)
 */
global $topright_Menu;
$topright_Menu = new Menu();

// Let the modules construct the menu:
modules_call_method( 'build_navbar_menu' );

// Call AdminAfterNavbarInit to notify Plugins that the toolbar menus are initialized. Plugins can add entries.
$Plugins->trigger_event( 'AdminAfterNavbarInit' );
?>

<div id="toolbar" class="toolbar_<?php echo $Hit->get_agent_name(); ?>">

<div class="actions_right">
<?php
// Display navbar menu:
echo $topright_Menu->get_html_menu( NULL, 'sf-menu-right' );
?>
</div>

<div class="actions_left">
<?php
if( $is_admin_page || $current_User->check_perm( 'admin', 'visible' ) )
{ // We are already in admin or we have permission to view admin options:
	// Display navbar menu:
	echo $topleft_Menu->get_html_menu( NULL, 'sf-menu-left' );
	if( $debug )
	{
		echo '<div style="position:relative;left:5px;top:-8px;color:#999;z-index:-1;">'.$disp_detail.'</div>';
	}
}
?>
</div>

</div>
