<?php
/**
 * This is the template that displays the user profile page.
 *
 * This file is part of the Quam Plures project - {@link http://quamplures.net/}.
 * See also {@link https://launchpad.net/quam-plures}.
 *
 * @todo EdB: this needs hooks for plugin profile bits
 *
 * {@internal Below is a list of authors who have contributed to design/coding of this file: }}
 * @author fplanque: Francois PLANQUE.
 *
 * @copyright (c) 2009 by the Quam Plures developers - {@link http://quamplures.net/}
 * @copyright (c)2003-2009 by Francois PLANQUE - {@link http://fplanque.net/}.
 * @license http://quamplures.net/license.html GNU General Public License (GPL)
 * @package templates
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

$user_ID = param( 'user_ID', 'integer', '' );
if( empty($user_ID) )
{
	echo '<p class="error">'.T_('No user specified.').'</p>';
	return;
}

$UserCache = & get_Cache( 'UserCache' );
/**
 * @var User
 */
$User = & $UserCache->get_by_ID( $user_ID );

/**
 * form to update the profile
 * @var Form
 */
$ProfileForm = new Form( '', 'ProfileForm' );
$ProfileForm->begin_form( 'bComment' );
/**
 * @todo EdB: core avatars removed from here, might need to be a plugin hook?
 */
$ProfileForm->begin_fieldset( T_('Identity') );
$ProfileForm->info( T_('Name'), $User->get( 'preferredname' ) );
$ProfileForm->info( T_('Login'), $User->get('login') );
$msgform_url = $User->get_msgform_url( $Blog->get('msgformurl') );
if( !empty($msgform_url) )
{
	$ProfileForm->info( T_('Contact'), '<a href="'.$msgform_url.'">'.T_('Send a message').'</a>' );
}
else
{
	$ProfileForm->info( T_('Contact'), T_('This user does not wish to be contacted directly.') );
}
if( !empty($User->url) )
{
	$ProfileForm->info( T_('Website'), '<a href="'.$User->url.'" rel="nofollow" target="_blank">'.$User->url.'</a>' );
}
$ProfileForm->end_fieldset();

$ProfileForm->begin_fieldset( T_('Miscellaneous') );
$ProfileForm->info( T_('Locale'), $User->get( 'locale' ) );
$ProfileForm->info( T_('Level'), $User->get('level') );
$ProfileForm->info( T_('Posts'), $User->get('num_posts') );
$ProfileForm->end_fieldset();

$ProfileForm->end_form();
?>
