<?php
/**
 * This is the template that displays the software credits page.
 *
 * This file is part of the Quam Plures project - {@link http://quamplures.net/}.
 * See also {@link https://launchpad.net/quam-plures}.
 *
 * @todo EdB: this needs hooks for plugin profile bits
 *
 * @copyright (c) 2010 by the Quam Plures developers - {@link http://quamplures.net/}
 * @license http://quamplures.net/license.html GNU General Public License (GPL)
 * @package templates
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

request_title( array(
	'title_before' => '<h2>',
	'title_after' => '</h2>',
) );
?>

<div id="credits">
<dl>

<?php
// First: template credits from the template.class file
if( isset( $Template ) && ( $credits = $Template->get_template_credits() ) )
{
	echo '<dt><big>'.T_('Template Credits').':</big></dt>'."\n";
	echo '<dd><dl>', "\n";

	foreach( $credits as $linkback )
	{
		echo '<dt>', $linkback['pre'], ' <a href="', $linkback['url'], '" title="';
		echo format_to_output( $linkback['title'], 'htmlattr' ), '">';
		echo htmlspecialchars( $linkback['text'], ENT_QUOTES ), '</a></dt><dd>';
		echo $linkback['post'], "</dd>\n";
	}

	echo '</dl></dd>', "\n";
}

// Second: plugin credits excluding 'core' plugins
global $Plugins;
$credits = array();

$Plugins->restart();
while( ( $a_plugin = & $Plugins->get_next() ) )
{
	if( empty($a_plugin->name) || $a_plugin->author == 'Dracones Incompertus'
		|| $a_plugin->author == 'The b2evo Group' )
	{	// Skip our own plugins.
		continue;
	}

	$credits[ strtolower( $a_plugin->name ) ] = array(
		'link' => '<a href="'.$a_plugin->get_help_url().'" title="'.
					sprintf( /* TRANS: %s: plugin author */ T_( 'by %s' ),
						format_to_output( $a_plugin->author, 'htmlattr' ) ).
					'">'.htmlspecialchars( $a_plugin->name, ENT_QUOTES ).'</a>',
		'desc' => $a_plugin->short_desc,
	);
}

if( !empty( $credits ) )
{
	ksort( $credits );
	echo '<dt><big>'.T_('Plugin Credits').':</big></dt>'."\n";
	echo '<dd><dl>', "\n";

	foreach( $credits as $credit )
	{
		echo '<dt>'.$credit['link'].'</dt><dd>'.$credit['desc']."</dd>\n";
	}

	echo '</dl></dd>', "\n";
}

// Third: core contributor credits
global $templates_path;
require_once $templates_path.'/_contributors.php'; // contributors links

echo '<dt><big>'.T_('Core Contributors').':</big></dt>'."\n";
echo '<dd><dl>', "\n";

foreach( $_hic_sunt_dracones as $dracone )
{
	echo '<dt><a href="', $dracone['homepage'], '" title="';
	echo format_to_output( $dracone['homepage'], 'htmlattr' ), '">';
	echo htmlspecialchars( $dracone['name'], ENT_QUOTES ), '</a></dt><dd>';
	locale_flag( $dracone['locale'], 'h10px', 'leftmargin' );
	echo $dracone['spiel']."</dd>\n";
}

echo '</dl></dd>', "\n";

// Finally: QP's only linkback
if( isset( $Template ) )
{
	echo '<dt><big>'.$Template->poweredby_linkback['pre'].':</big></dt>'."\n";
	echo '<dd><dl>', "\n";
	echo '<dt><a href="', $Template->poweredby_linkback['url'], '" title="';
	echo format_to_output( $Template->poweredby_linkback['title'], 'htmlattr' ), '">';
	echo htmlspecialchars( $Template->poweredby_linkback['text'], ENT_QUOTES ), '</a></dt><dd>';
	echo $Template->poweredby_linkback['post'], "</dd>\n";
	echo '</dl></dd>', "\n";
}

?>

</dl>
</div>
