<?php
/**
 * "item block" sub-template

Need help doing something with this file?
http://docs.quamplures.net/li_templates.html - tutorials and autodocs

 * This is meant to be included via a .main.php (or other .inc.php) file
 *
 * Quam Plures - {@link http://quamplures.net/}
 * Released under GNU GPL License - {@link http://quamplures.net/license.html}
 * @copyright (c) 2009 by the Quam Plures developers - {@link http://quamplures.net/}
 * @copyright (c)2003-2009 by Francois PLANQUE - {@link http://fplanque.net/}
 * @package templates
 * @subpackage glossyblue
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

global $Item;

// set some default params...
$params = array_merge( array(
	'feature_block' => false,
	'content_mode' => 'auto',
	'item_class' => 'post',
	'image_size' => 'fit-400',
	'content_start_excerpt' => '<div class="content_excerpt entry">',
	'content_end_excerpt' => '</div>',
	'content_start_full' => '<div class="content_full">',
	'content_end_full' => '</div>',
), $params );

$Item->locale_temp_switch(); // temporarily switch to post locale
?>

<div id="<?php $Item->anchor_id(); ?>" class="<?php $Item->div_classes( $params ); ?>" lang="<?php $Item->lang(); ?>">
<?php
if( ! $Item->is_intro() )
{ // this is *not* an 'intro' item
	?>

	<div class="post-date">
	<?php
	// display issue date/time of item
	$Item->issue_date( array(
		'before' => '<span class="post-month">',
		'after' => '</span>',
		'date_format' => 'M',
	) );

	// display issue date/time of item
	$Item->issue_date( array(
		'before' => '<span class="post-day">',
		'after' => '</span>',
		'date_format' => 'd',
	) ); ?>
	</div>

	<?php
}
?>

	<div class="post-title">
	<h2><?php $Item->title(); ?></h2>
	<?php
	// display and link categories by name
	$Item->categories( array(
		'before' => '<span class="post-cat">',
		'after' => '</span> ',
	) ); ?>
	<span class="post-comments"><?php
	// display link to (and count of) comments and trackbacks
	$Item->feedback_link( array() ); ?></span>
</div>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// ---  POST CONTENT INCLUDED HERE ---
template_include( '_item_content.inc.php', $params );
?>

<p class="postmetadata alt small">
<?php
// display the item's tags
$Item->tags( array(
	'before' => T_('Tags').': ',
	'after' => ' ',
) );

// display link to edit this item
$Item->edit_link( array(
	'before' => '',
	'after' => '',
) );
?></p>
<?php
locale_restore_previous(); // restores previous (Blog) locale
?>
</div>
