<?php
/**
 * posts.main.php for the "Glossy Blue" template.

Need help doing something with this file?
http://docs.quamplures.net/li_templates.html - tutorials and autodocs

 * This file is used to display the content when $disp == 'posts'. A template 
 * without this file will use index.main.php by default.
 *
 * @copyright {@link http://quamplures.net/team.html The Quam Plures Team, 2010}
 * @license http://quamplures.net/license.html Our License
 * @package templates
 * @subpackage glossyblue
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

template_init( $disp ); // do $disp-based initializations...

// --- --- --- --- --- --- --- --- --- --- ---
// --- HTML HEADER INCLUDED HERE ---
template_include( '_html_header.inc.php' );

// --- --- --- --- --- --- --- --- --- --- ---
// --- BODY HEADER INCLUDED HERE ---
template_include( '_body_header.inc.php' );
?>

<div id="content">
<?php
// messages generated from actions
messages();

// title for the current request
request_title( array(
	'title_before' => '<h2>',
	'title_after' => '</h2>',
	'title_none' => '',
	'glue' => ' - ',
	'title_single_disp' => true,
	'format' => 'htmlbody',
) );

// do we have a featured/intro item to display?
if( $Item = & get_featured_Item() )
{
	// --- --- --- --- --- --- --- --- --- --- ---
	// --- ITEM BLOCK INCLUDED HERE ---
	template_include( '_item_block.inc.php', array(
		'feature_block' => true,
		'content_mode' => 'auto',
		'intro_mode' => 'normal',
		'item_class' => 'featured_post',
		'image_size' => 'fit-400',
	) );
}

// display a message if list is empty
display_if_empty();

// loop through as long as we have an Item...
while( $Item = & mainlist_get_item() )
{
	// --- --- --- --- --- --- --- --- --- --- ---
	// --- ITEM BLOCK INCLUDED HERE ---
	template_include( '_item_block.inc.php', array(
		'content_mode' => 'auto',
		'image_size' => 'fit-400',
	) );
}

// prev/next links on multi-post pages
mainlist_page_links( array(
	'block_start' => '<div class="navigation">',
	'block_end' => '</div>',
	'prev_text' => '&lt;&lt;',
	'next_text' => '&gt;&gt;',
) );
?>
</div>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// --- SIDEBAR INCLUDED HERE ---
template_include( '_sidebar.inc.php' );

// --- --- --- --- --- --- --- --- --- --- ---
// --- BODY FOOTER INCLUDED HERE ---
template_include( '_body_footer.inc.php' );
?>
