<?php
/**
 * default $disp.main.php for the "Miami Blue" template.

Need help doing something with this file?
http://docs.quamplures.net/li_templates.html - tutorials and autodocs

 * This file is used to display the content when no $disp-matching .main.php file exists.
 *
 * @copyright {@link http://quamplures.net/team.html The Quam Plures Team, 2010}
 * @license http://quamplures.net/license.html Our License
 * @package templates
 * @subpackage miami_blue
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

template_init( $disp ); // do $disp-based initializations...

// --- --- --- --- --- --- --- --- --- --- ---
// --- HTML HEADER INCLUDED HERE ---
template_include( '_html_header.inc.php' );
?>

<div id="wrapper">

<div id="wrapper2">

<div class="pageHeader">

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Page Top" container's widgets
template_container( NT_('Page Top'), array(
	'container_start' => '<div id="page_top">',
	'container_end' => '</div>',
	'block_start' => '<div class="$wi_class$">',
	'block_end' => '</div>',
	'block_display_title' => false,
	'list_start' => '<ul>',
	'list_end' => '</ul>',
	'item_start' => '<li>',
	'item_end' => '</li>',
) );
?>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Header" container's widgets
template_container( NT_('Header'), array(
	'block_start' => '<div class="$wi_class$">',
	'block_end' => '</div>',
	'block_title_start' => '<h1>',
	'block_title_end' => '</h1>',
) );
?>
</div>

<div id="page_main_area">

<div class="bPosts">

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Menu" container's widgets
template_container( NT_('Menu'), array(
	'container_start' => '<div class="top_menu">
<ul>',
	'container_end' => '</ul>
</div>',
	'block_start' => '',
	'block_end' => '',
	'block_display_title' => false,
	'list_start' => '',
	'list_end' => '',
	'item_start' => '<li>',
	'item_end' => '</li>',
) );
?>

<?php
// messages generated from actions
messages();

// prev/next links in single post mode
item_prevnext_links( array(
	'block_start' => '<table class="prevnext_post"><tr>',
	'prev_start' => '<td>',
	'prev_end' => '</td>',
	'next_start' => '<td class="right">',
	'next_end' => '</td>',
	'block_end' => '</tr></table>',
) );

// title for the current request
request_title( array(
	'title_before' => '<h1>',
	'title_after' => '</h1>',
	'title_none' => '',
	'glue' => ' - ',
	'title_single_disp' => false,
	'format' => 'htmlbody',
) );

// do we have a featured/intro item to display?
if( $Item = & get_featured_Item() )
{
	// --- --- --- --- --- --- --- --- --- --- ---
	// --- ITEM BLOCK INCLUDED HERE ---
	template_include( '_item_block.inc.php', array(
		'feature_block' => true,
		'content_mode' => 'auto',
		'intro_mode' => 'normal',
		'item_class' => 'featured_post',
		'image_size' => 'fit-400',
	) );
}

// display a message if list is empty
display_if_empty();

// loop through as long as we have an Item...
while( $Item = & mainlist_get_item() )
{
	// --- --- --- --- --- --- --- --- --- --- ---
	// --- ITEM BLOCK INCLUDED HERE ---
	template_include( '_item_block.inc.php', array(
		'content_mode' => 'auto',
		'image_size' => 'fit-400',
	) );
}

// prev/next links on multi-post pages
mainlist_page_links( array(
	'block_start' => '<p class="center">'.T_('Pages:').' <strong>',
	'block_end' => '</strong></p>',
) );

// --- --- --- --- --- --- --- --- --- --- ---
// MAIN CONTENT INCLUDED HERE
template_include( '$disp$', array(
	// we already handled these cases above
	'disp_posts' => '',
	'disp_single' => '',
	'disp_page' => '',
) );
?>
</div>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Sidebar" container's contents
template_container( NT_('Sidebar'), array(
	'container_start' => '<div class="bSideBar">',
	'container_end' => '</div>',
	'block_start' => '<div class="bSideItem $wi_class$">',
	'block_end' => '</div>',
	'block_title_start' => '<h3>',
	'block_title_end' => '</h3>',
	'list_start' => '<ul>',
	'list_end' => '</ul>',
	'item_start' => '<li>',
	'item_end' => '</li>',
	'group_start' => '<ul>',
	'group_end' => '</ul>',
	'notes_start' => '<div class="notes">',
	'notes_end' => '</div>',
) );
?>

</div>

<div id="pageFooter">
<p class="baseline">
<?php
// displays current Blog's footer text
$Blog->footer_text( array(
	'after' => ' &bull; ',
) );

// display a link to contact the current blog owner
$Blog->contact_link( array(
	'after' => ' &bull; ',
) );

// display a link to this blog's credits page
$Blog->credits_link( array() );
?>
</p>
</div>

</div>

</div>

<?php
// activate the sonic transducer
$Plugins->trigger_event('TemplateEndHtmlBody');
?>
</div>

</body>
</html>
