<?php
/**
 * "item block" sub-template

Need help doing something with this file?
http://docs.quamplures.net/li_templates.html - tutorials and autodocs

 * This is meant to be included via a .main.php (or other .inc.php) file
 *
 * Quam Plures - {@link http://quamplures.net/}
 * Released under GNU GPL License - {@link http://quamplures.net/license.html}
 * @copyright (c) 2009 by the Quam Plures developers - {@link http://quamplures.net/}
 * @copyright (c)2003-2009 by Francois PLANQUE - {@link http://fplanque.net/}
 * @package templates
 * @subpackage photoblog
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

global $Item;

// set some default params...
$params = array_merge( array(
	'feature_block' => false,
	'item_class' => 'bPost',
	'item_status_class' => 'bPost',
	'content_mode' => 'full',
	'image_size' => '',
	'url_link_text_template' => '',
), $params );

$Item->locale_temp_switch(); // temporarily switch to post locale
?>

<div id="<?php $Item->anchor_id(); ?>" class="<?php $Item->div_classes( $params ); ?>" lang="<?php $Item->lang(); ?>">
<?php
// display images linked to this item
$Item->images( array(
	'before' => '<div class="bImages">',
	'image_size' => 'fit-720',
) );
?>

<div class="bDetails">

<div class="bSmallHead">
<?php
// display link to (and count of) comments and trackbacks
$Item->feedback_link( array(
	'link_before' => '<div class="action_right">',
	'link_after' => '</div>',
	'link_text_zero' => get_icon( 'nocomment' ),
	'link_text_one' => get_icon( 'comments' ),
	'link_text_more' => get_icon( 'comments' ),
) );

// display the item's permalink
$Item->permanent_link( array(
	'before' => '<div class="action_right">',
	'after' => '</div>',
	'text' => T_('Permalink'),
) );

// display link to edit this item
$Item->edit_link( array(
	'before' => '<div class="action_right">',
	'after' => '</div>',
	'text' => T_('Edit...'),
	'title' => T_('Edit title/description...'),
) );
?>
<h3 class="bTitle"><?php $Item->title(); ?></h3>
<?php
// display issue date/time of item
$Item->issue_date( array(
	'before' => '<span class="timestamp">',
	'after' => '</span>',
	'date_format' => locale_datefmt().' H:i',
) );
?>
</div>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// ---  POST CONTENT INCLUDED HERE ---
template_include( '_item_content.inc.php', $params );
?>

<div class="bSmallPrint">
<?php
// display author/creator of item
$Item->author( array(
	'before' => T_('By').' ',
	'after' => ' &bull; ',
) );

// display and link categories by name
$Item->categories( array(
	'before' => T_('Albums').': ',
) );

// display the item's tags
$Item->tags( array(
	'before' => ' &bull; '.T_('Tags').': ',
	'after' => ' ',
) );

// URL link, if the post has one
$Item->url_link( array(
	'before' => ' &bull; '.T_('Link').': ',
	'after' => ' ',
	'text_template' => '$url$',
	'url_template' => '$url$',
	'target' => '',
	'podcast' => false,
) );
?>
</div>

</div>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// --- ITEM FEEDBACK INCLUDED HERE ---
template_include( '_item_feedback.inc.php', array(
	'before_section_title' => '<h4>',
	'after_section_title' => '</h4>',
) );

locale_restore_previous(); // restores previous (Blog) locale
?>
</div>
