<?php
/**
 * default $disp.main.php for the "Photoblog" template.

Need help doing something with this file?
http://docs.quamplures.net/li_templates.html - tutorials and autodocs

 * This file is used to display the content when no $disp-matching .main.php file exists.
 *
 * @copyright {@link http://quamplures.net/team.html The Quam Plures Team, 2010}
 * @license http://quamplures.net/license.html Our License
 * @package templates
 * @subpackage photoblog
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

template_init( $disp ); // do $disp-based initializations...

require_js( 'functions.js' ); // for opening popup window (comments)

// --- --- --- --- --- --- --- --- --- --- ---
// --- HTML HEADER INCLUDED HERE ---
template_include( '_html_header.inc.php' );
?>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Page Top" container's widgets
template_container( NT_('Page Top'), array(
	'container_start' => '<div class="PageTop">',
	'container_end' => '</div>',
	'block_start' => '<div class="$wi_class$">',
	'block_end' => '</div>',
	'block_display_title' => false,
	'list_start' => '<ul>',
	'list_end' => '</ul>',
	'item_start' => '<li>',
	'item_end' => '</li>',
) );
?>

<div class="pageHeader">

<div class="top_menu floatright">
<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Menu" container's widgets
template_container( NT_('Menu'), array(
	'container_start' => '',
	'container_end' => '',
	'block_start' => '',
	'block_end' => '',
	'block_display_title' => false,
	'list_start' => '',
	'list_end' => '',
	'item_start' => ' ',
	'item_end' => ' | ',
) );
?>
<a href="<?php $Blog->disp( 'mediaidxurl', 'raw' ) ?>"><?php echo T_('Index') ?></a>
</div>

<h1 id="pageTitle"><a href="<?php $Blog->disp( 'url', 'raw' ) ?>"><?php $Blog->disp( 'name', 'htmlbody' ) ?></a></h1>
</div>

<div class="bPosts">
<?php
// messages generated from actions
messages();

// prev/next links on multi-post pages
mainlist_page_links( array(
	'block_start' => '<div class="nav_right">',
	'block_end' => '</div>',
	'links_format' => '$next$ $prev$',
	'prev_text' => '<img src="img/prev.gif" width="29" height="29" alt="'.T_('Previous').'" title="'.T_('Previous').'" />',
	'next_text' => '<img src="img/next.gif" width="29" height="29" alt="'.T_('Next').'" title="'.T_('Next').'" />',
	'no_prev_text' => '',
	'no_next_text' => '<img src="'.$rsc_url.'/img/blank.gif" width="29" height="29" alt="" class="no_nav" />',
) );

// prev/next links in single post mode
item_prevnext_links( array(
	'template' => '$next$$prev$',
	'block_start' => '<div class="nav_right">',
	'next_start' => '',
	'next_text' => '<img src="img/next.gif" width="29" height="29" alt="'.T_('Next').'" title="'.T_('Next').'" />',
	'next_no_item' => '<img src="'.$rsc_url.'/img/blank.gif" width="29" height="29" alt="" class="no_nav" />',
	'next_end' => ' ',
	'prev_start' => '',
	'prev_text' => '<img src="img/prev.gif" width="29" height="29" alt="'.T_('Previous').'" title="'.T_('Previous').'" />',
	'prev_no_item' => '',
	'prev_end' => '',
	'block_end' => '</div>',
) );

// title for the current request
request_title( array(
	'title_before' => '<h2>',
	'title_after' => '</h2>',
	'title_none' => '<h2>&nbsp;</h2>',
	'glue' => ' - ',
	'title_single_disp' => false,
	'format' => 'htmlbody',
	'arcdir_text' => T_('Index'),
	'catdir_text' => T_('Albums'),
	'category_text' => T_('Album').': ',
	'categories_text' => T_('Albums').': ',
) );

// do we have a featured/intro item to display?
if( $Item = & get_featured_Item() )
{
	// --- --- --- --- --- --- --- --- --- --- ---
	// --- ITEM BLOCK INCLUDED HERE ---
	template_include( '_item_block.inc.php', array(
		'feature_block' => true,
		'content_mode' => 'full',
		'intro_mode' => 'normal',
		'item_class' => 'featured_post',
		'image_size' => 'fit-400',
	) );
}

// display a message if list is empty
display_if_empty();

// loop through as long as we have an Item...
while( $Item = & mainlist_get_item() )
{
	// --- --- --- --- --- --- --- --- --- --- ---
	// --- ITEM BLOCK INCLUDED HERE ---
	template_include( '_item_block.inc.php', array(
		'content_mode' => 'full',
	) );
}

// --- --- --- --- --- --- --- --- --- --- ---
// MAIN CONTENT INCLUDED HERE
template_include( '$disp$', array(
	// we already handled these cases above
	'disp_posts' => '',
	'disp_single' => '',
	'disp_page' => '',
) );
?>
</div>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// --- BODY FOOTER INCLUDED HERE ---
template_include( '_body_footer.inc.php' );
?>
