<?php
/**
 * default $disp.main.php for the "PixelGreen" template.

Need help doing something with this file?
http://docs.quamplures.net/li_templates.html - tutorials and autodocs

 * This file is used to display the content when no $disp-matching .main.php file exists.
 *
 * @copyright {@link http://quamplures.net/team.html The Quam Plures Team, 2010}
 * @license http://quamplures.net/license.html Our License
 * @package templates
 * @subpackage pixelgreen
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

template_init( $disp ); // do $disp-based initializations...

// --- --- --- --- --- --- --- --- --- --- ---
// --- HTML HEADER INCLUDED HERE ---
template_include( '_html_header.inc.php' );
?>

<div id="wrap">

<div id="header">

<div id="header-content">

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Page Top" container's widgets
template_container( NT_('Page Top'), array(
	'container_start' => '<div class="PageTop">',
	'container_end' => '</div>',
	'block_start' => '<div class="$wi_class$">',
	'block_end' => '</div>',
	'block_display_title' => false,
	'list_start' => '<ul>',
	'list_end' => '</ul>',
	'item_start' => '<li>',
	'item_end' => '</li>',
) );
?>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Header" container's widgets
template_container( NT_('Header'), array(
	'container_start' => '',
	'container_end' => '',
	'block_start' => '<div class="$wi_class$">',
	'block_end' => '</div>',
	'block_title_start' => '<h1>',
	'block_title_end' => '</h1>',
) );
?>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Menu" container's widgets
template_container( NT_('Menu'), array(
	'container_start' => '<div class="top_menu">
<ul>',
	'container_end' => '</ul>
</div>',
	'block_start' => '',
	'block_end' => '',
	'block_display_title' => false,
	'list_start' => '',
	'list_end' => '',
	'item_start' => '<li>',
	'item_end' => '</li>',
) );
?>

</div>

</div>

<div class="headerphoto"></div>

<div id="content-wrap">
<div id="content">
<?php
// messages generated from actions
messages();

// title for the current request
request_title( array(
	'title_before' => '<h2>',
	'title_after' => '</h2>',
	'title_none' => '',
	'glue' => ' - ',
	'title_single_disp' => false,
	'format' => 'htmlbody',
) );

// --- --- --- --- --- --- --- --- --- --- ---
// --- SIDEBAR INCLUDED HERE ---
template_include( '_sidebar.inc.php' );
?>

<div id="main">
<?php
// do we have a featured/intro item to display?
if( $Item = & get_featured_Item() )
{
	// --- --- --- --- --- --- --- --- --- --- ---
	// --- ITEM BLOCK INCLUDED HERE ---
	template_include( '_item_block.inc.php', array(
		'feature_block' => true,
		'content_mode' => 'auto',
		'intro_mode' => 'normal',
		'item_class' => 'post featured_post',
		'image_size' => 'fit-400',
	) );
}

// display a message if list is empty
display_if_empty();

// loop through as long as we have an Item...
while( $Item = & mainlist_get_item() )
{
	// --- --- --- --- --- --- --- --- --- --- ---
	// --- ITEM BLOCK INCLUDED HERE ---
	template_include( '_item_block.inc.php', array(
		'content_mode' => 'auto',
		'image_size' => 'fit-400',
	) );
}

// prev/next links on multi-post pages
mainlist_page_links( array(
	'block_start' => '<p class="center"><strong>',
	'block_end' => '</strong></p>',
	'prev_text' => '&lt;&lt;',
	'next_text' => '&gt;&gt;',
) );

// --- --- --- --- --- --- --- --- --- --- ---
// MAIN CONTENT INCLUDED HERE
template_include( '$disp$', array(
	// we already handled these cases above
	'disp_posts' => '',
	'disp_single' => '',
	'disp_page' => '',
) );
?>
</div>

</div>

</div>

<div id="footer">

<div id="footer-content">
<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Footer" container's widgets
template_container( NT_('Footer'), array(
	'container_start' => '',
	'container_end' => '',
	'block_start' => '<div class="col float-left $wi_class$">',
	'block_end' => '</div>',
	'block_title_start' => '<h1>',
	'block_title_end' => '</h1>',
) );
?>

<div class="col2 float-right">
<p>foo</p>
</div>

<p class="baseline"><?php
// display a link to contact the current blog owner
$Blog->contact_link( array(
	'after' => '',
) );

// displays current Blog's footer text
$Blog->footer_text( array(
	'before' => ' &bull; ',
	'after' => '',
) );
?>
<br />
<?php
// display a link to this blog's credits page
$Blog->credits_link( array() );
?>
</p>
</div>

</div>

<?php
// activate the sonic transducer
$Plugins->trigger_event('TemplateEndHtmlBody');
?>
</div>

</body>
</html>
