<?php
/**
 * "item block" sub-template

Need help doing something with this file?
http://docs.quamplures.net/li_templates.html - tutorials and autodocs

 * This is meant to be included via a .main.php (or other .inc.php) file
 *
 * Quam Plures - {@link http://quamplures.net/}
 * Released under GNU GPL License - {@link http://quamplures.net/license.html}
 * @copyright (c) 2009 by the Quam Plures developers - {@link http://quamplures.net/}
 * @copyright (c)2003-2009 by Francois PLANQUE - {@link http://fplanque.net/}
 * @package templates
 * @subpackage terrafirma
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

global $Item;

// set some default params...
$params = array_merge( array(
	'feature_block' => false,
	'content_mode' => 'auto',
	'item_class' => 'bPost',
	'image_size' => 'fit-400',
), $params );

$Item->locale_temp_switch(); // temporarily switch to post locale
?>

<div id="<?php $Item->anchor_id(); ?>" class="<?php $Item->div_classes( $params ); ?>" lang="<?php $Item->lang(); ?>">

<div class="bSmallHead">

<div class="date">
<?php
// display author/creator of item
$Item->author( array(
	'before' => '<em class="user">',
	'after' => '</em><br />',
) );

// display issue date/time of item
$Item->issue_date( array(
	'before' => '<em class="bPostdate">',
	'after' => '</em>',
) );
?>
</div>

<h2 class="bTitle"><?php $Item->title(); ?></h2>
</div>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// ---  POST CONTENT INCLUDED HERE ---
template_include( '_item_content.inc.php', $params );

// display the item's tags
$Item->tags( array(
	'before' => '<div class="post-tags">'.T_('Tags').': ',
) );
?>

<div class="bSmallPrint">
<ul>
<?php
// display link to edit this item
$Item->edit_link( array(
	'before' => '<li>',
	'after' => '</li>',
) ); ?>
<li class="readmore">
<?php
// display and link categories by name
$Item->categories( array(
	'before' => '',
	'after' => '',
) );
?>
</li>
<li class="comments">
<?php
// display link to (and count of) comments only
$Item->feedback_link( array(
	'type' => 'comments',
) );

// display link to (and count of) trackbacks only
$Item->feedback_link( array(
	'type' => 'trackbacks',
	'link_before' => ' &bull; ',
) );
?>
</li>
</ul>
</div>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// --- ITEM FEEDBACK INCLUDED HERE ---
template_include( '_item_feedback.inc.php', array(
	'before_section_title' => '<h3>',
	'after_section_title' => '</h3>',
) );

locale_restore_previous(); // restores previous (Blog) locale
?>
</div>
