<?php
/**
 * default $disp.main.php for the "TerraFirma" template.

Need help doing something with this file?
http://docs.quamplures.net/li_templates.html - tutorials and autodocs

 * This file is used to display the content when no $disp-matching .main.php file exists.
 *
 * @copyright {@link http://quamplures.net/team.html The Quam Plures Team, 2010}
 * @license http://quamplures.net/license.html Our License
 * @package templates
 * @subpackage terrafirma
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

template_init( $disp ); // do $disp-based initializations...

// --- --- --- --- --- --- --- --- --- --- ---
// --- HTML HEADER INCLUDED HERE ---
template_include( '_html_header.inc.php' );
?>
<div id="wrapper">

<div id="upbg"></div>

<div id="inner">

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Header" container's widgets
template_container( NT_('Header'), array(
	'container_start' => '<div class="pageHeader">',
	'container_end' => '</div>',
	'block_start' => '<div class="$wi_class$">',
	'block_end' => '</div>',
	'block_title_start' => '<h1>',
	'block_title_end' => '</h1>',
) );
?>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Page Top" container's widgets
template_container( NT_('Page Top'), array(
	'container_start' => '<div id="splash">
<div class="PageTop">',
	'container_end' => '</div>
</div>',
	'block_start' => '<div class="$wi_class$">',
	'block_end' => '</div>',
	'block_display_title' => false,
	'list_start' => '<ul>',
	'list_end' => '</ul>',
	'item_start' => '<li>',
	'item_end' => '</li>',
) );
?>

<div class="top_menu">
<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Menu" container's widgets
template_container( NT_('Menu'), array(
	'container_start' => '<ul>',
	'container_end' => '</ul>',
	'block_start' => '',
	'block_end' => '',
	'block_display_title' => false,
	'list_start' => '',
	'list_end' => '',
	'item_start' => '<li>',
	'item_end' => '</li>',
) );
?>

<?php
/**
 * @todo EdB: this needs to be the widget ... if at all?
 */
if ( true /* change to false to hide the search box */ )
{
	?>
	<div id="search">
	<?php T_('Find'); ?><br />
	<form action="<?php $Blog->gen_blogurl(); ?>" method="get" class="search">
	<input name="s" size="15" value="" class="form_text_input" type="text" />&nbsp;
	<input name="submit" class="searchsubmit" value="Go" type="submit" />
	</form>
	</div>
	<?php
}
?>
</div>

<div class="bPosts">
<?php
// messages generated from actions
messages();

// if $disp is not 'page'...
if ($disp != 'page')
{
	// title for the current request
	request_title( array(
		'title_before' => '<h2 class="pagetitle">',
		'title_after' => '</h2>',
		'title_none' => '',
		'glue' => ' - ',
		'title_single_disp' => false,
		'format' => 'htmlbody',
	) );
}

// do we have a featured/intro item to display?
if( $Item = & get_featured_Item() )
{
	// --- --- --- --- --- --- --- --- --- --- ---
	// --- ITEM BLOCK INCLUDED HERE ---
	template_include( '_item_block.inc.php', array(
		'feature_block' => true,
		'content_mode' => 'auto',
		'intro_mode' => 'normal',
		'item_class' => 'bPost featured_post',
		'image_size' => 'fit-400',
	) );
}

// display a message if list is empty
display_if_empty();

// loop through as long as we have an Item...
while( $Item = & mainlist_get_item() )
{
	// --- --- --- --- --- --- --- --- --- --- ---
	// --- ITEM BLOCK INCLUDED HERE ---
	template_include( '_item_block.inc.php', array(
		'content_mode' => 'auto',
		'image_size' => 'fit-400',
	) );
}

// prev/next links on multi-post pages
mainlist_page_links( array(
	'block_start' => '<p class="center"><strong>',
	'block_end' => '</strong></p>',
	'prev_text' => '&lt;&lt;',
	'next_text' => '&gt;&gt;',
) );

// --- --- --- --- --- --- --- --- --- --- ---
// MAIN CONTENT INCLUDED HERE
template_include( '$disp$', array(
	// we already handled these cases above
	'disp_posts' => '',
	'disp_single' => '',
	'disp_page' => '',
) );
?>
</div>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Sidebar" container's contents
template_container( NT_('Sidebar'), array(
	'container_start' => '<div class="bSideBar">',
	'container_end' => '</div>',
	'block_start' => '<div class="bSideItem $wi_class$">',
	'block_end' => '</div>',
	'block_title_start' => '<h2>',
	'block_title_end' => '</h2>',
	'list_start' => '<ul>',
	'list_end' => '</ul>',
	'item_start' => '<li>',
	'item_end' => '</li>',
	'group_start' => '<ul>',
	'group_end' => '</ul>',
	'notes_start' => '<div class="notes">',
	'notes_end' => '</div>',
) );
?>

<div id="pageFooter">
<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Footer" container's widgets
template_container( NT_('Footer'), array(
	/**
	 * @todo EdB: figure out and comment what params will be
	 * used when there are no param/values in a container
	 */
	'container_start' => '',
	'container_end' => '',
) );
?>
<p class="baseline">
<span class="author_credits">
<?php
// display a link to contact the current blog owner
$Blog->contact_link( array(
	'after' => '',
) );

// displays current Blog's footer text
$Blog->footer_text( array(
	'before' => ' &bull; ',
	'after' => '',
) );
?>
</span>
<br />
<?php
// display a link to this blog's credits page
$Blog->credits_link( array() );
?>
</p>
</div>

</div>

</div>

<?php
// activate the sonic transducer
$Plugins->trigger_event('TemplateEndHtmlBody');
?>
</div>

</body>
</html>
