<?php
/**
 * default $disp.main.php for the "Vastitude" template.

Need help doing something with this file?
http://docs.quamplures.net/li_templates.html - tutorials and autodocs

 * This file is used to display the content when no $disp-matching .main.php file exists.
 *
 * Vastitude design by Andrew Hreschak, www.thedarksighed.com
 *
 * @copyright {@link http://quamplures.net/team.html The Quam Plures Team, 2010}
 * @license http://quamplures.net/license.html Our License
 * @package templates
 * @subpackage vastitude
 */
if( !defined('QP_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

template_init( $disp ); // do $disp-based initializations...

// --- --- --- --- --- --- --- --- --- --- ---
// --- HTML HEADER INCLUDED HERE ---
template_include( '_html_header.inc.php' );
?>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Page Top" container's widgets
template_container( NT_('Page Top'), array(
	'container_start' => '<div id="prewrap">',
	'container_end' => '</div>',
	'block_start' => '<div class="$wi_class$">',
	'block_end' => '</div>',
	'block_display_title' => false,
	'list_start' => '<ul>',
	'list_end' => '</ul>',
	'item_start' => '<li>',
	'item_end' => ' &nbsp; / &nbsp; </li>',
	'item_selected_start' => '<li class="selected">',
	'item_selected_end' => ' &nbsp; / &nbsp; </li>',
	'link_selected_class' => 'selected',
) );
?>

<div id="wrap">

<div id="bannertop">
<div class="topicons"></div>
</div>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Header" container's widgets
template_container( NT_('Header'), array(
	'container_start' => '<div id="bannermid">
<div class="subtitle">',
	'container_end' => '</div>
</div>',
	'block_start' => '<div class="$wi_class$">',
	'block_end' => '</div>',
	'block_title_start' => '<h1>',
	'block_title_end' => '</h1>',
) );
?>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Menu" container's widgets
template_container( NT_('Menu'), array(
	'container_start' => '<div class="submenu">
<ul id="mainnav">',
	'container_end' => '</ul>
</div>',
	'block_start' => '',
	'block_end' => '',
	'block_display_title' => false,
	'list_start' => '',
	'list_end' => '',
	'item_start' => '<li>',
	'item_end' => ' &nbsp; / </li>',
	'item_selected_start' => '<li class="selected">',
	'item_selected_end' => ' &nbsp; / </li>',
	'link_selected_class' => 'selected',
) );
?>

<div id="content">

<div class="leftside">
<?php
// messages generated from actions
messages();
?>
<div class="text">
<?php
// title for the current request
request_title( array(
	'title_before' => '<h2>',
	'title_after' => '</h2>',
	'title_none' => '',
	'glue' => ' - ',
	'title_single_disp' => true,
	'format' => 'htmlbody',
) );

// do we have a featured/intro item to display?
if( $Item = & get_featured_Item() )
{
	// --- --- --- --- --- --- --- --- --- --- ---
	// --- ITEM BLOCK INCLUDED HERE ---
	template_include( '_item_block.inc.php', array(
		'feature_block' => true,
		'content_mode' => 'auto',
		'intro_mode' => 'normal',
		'item_class' => 'featured_post',
		'image_size' => 'fit-400',
	) );
}

// display a message if list is empty
display_if_empty();

// loop through as long as we have an Item...
while( $Item = & mainlist_get_item() )
{
	// --- --- --- --- --- --- --- --- --- --- ---
	// --- ITEM BLOCK INCLUDED HERE ---
	template_include( '_item_block.inc.php', array(
		'content_mode' => 'auto',
		'image_size' => 'fit-400',
	) );
}

// prev/next links on multi-post pages
mainlist_page_links( array(
	'block_start' => '<p class="center">',
	'block_end' => '</p>',
	'prev_text' => '&lt;&lt;',
	'next_text' => '&gt;&gt;',
) );

// --- --- --- --- --- --- --- --- --- --- ---
// MAIN CONTENT INCLUDED HERE
template_include( '$disp$', array(
	// we already handled these cases above
	'disp_posts' => '',
	'disp_single' => '',
	'disp_page' => '',
) );
?>
</div>

</div>

<div class="rightside">

<div id="sidebar">
<ul>
<?php
// prev/next links in single post mode
item_prevnext_links( array(
	'block_start' => '<li class="prevnext">',
	'prev_start' => 'Previous Post:<br />',
	'prev_end' => '<br /><br />',
	'next_start' => 'Next Post:<br />',
	'next_end' => '<br /><br />',
	'block_end' => '</li>',
) );

// --- --- --- --- --- --- --- --- --- --- ---
// display "Sidebar" container's contents
template_container( NT_('Sidebar'), array(
	'container_start' => '',
	'container_end' => '',
	'block_start' => '<li class="$wi_class$">',
	'block_end' => '</li>',
	'block_title_start' => '<h2>',
	'block_title_end' => '</h2>',
	'list_start' => '<ul>',
	'list_end' => '</ul>',
	'item_start' => '<li>',
	'item_end' => '</li>',
	'group_start' => '<ul>',
	'group_end' => '</ul>',
	'notes_start' => '<div class="notes">',
	'notes_end' => '</div>',
) );
?>
</ul>
</div>

</div>

</div>

<div class="pagefoot">
<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Footer" container's widgets
template_container( NT_('Footer'), array(
	/**
	 * @todo EdB: figure out and comment what params will be
	 * used when there are no param/values in a container
	 */
	'container_start' => '',
	'container_end' => '',
) );
?>
<p class="center">
<?php
// displays current Blog's footer text
$Blog->footer_text( array(
	'after' => ' &bull; ',
) );

// display a link to contact the current blog owner
$Blog->contact_link( array(
	'after' => '',
) );
?>
<br />
<?php
// display a link to this blog's credits page
$Blog->credits_link( array() );
?>
</div>

</div>

<?php
// activate the sonic transducer
$Plugins->trigger_event('TemplateEndHtmlBody');
?>
</div>

</body>
</html>
